﻿# You can place the script of your game in this file.

init:
    
    $ config.main_menu = [
        (u"Start Game", "start", "True"),
        (u"Load Game", _intra_jumps("load_screen", "main_game_transition"), "True"),
        (u"Preferences", _intra_jumps("instructions", "main_game_transition"), "True"),
        (u"Quit", ui.jumps("_quit"), "True")
        ]
        
    $ config.main_menu_music = ["MusicBoxTheme.mp3"]
    $ style.menu_choice.color = "#696969"
    $ dissolve = Dissolve(1.0)
    
    # Declare images below this line, using the image statement.
    image Splash1 = "Splash1.png"
    image Splash2 = "Splash2.png"
    image Splash3 = "Splash3.png"
    image Splash4 = "Splash4.png"
    image Splash5 = "Splash5.png"
    image Splash6 = "Splash6.png"
    image Splash7 = "Splash7.png"
    image End1 = "End1.png"
    image End2 = "End2.png"
    image End3 = "End3.png"
    image End4 = "End4.png"
    image End5 = "End5.png"
    image End6 = "End6.png"
    image End7 = "End7.png"
    image End8 = "End8.png"
    image End9 = "End9.png"
    image PG1 = "GuidePG1.png"
    image PG2 = "GuidePG2.png"
    image PG3 = "GuidePG3.png"
    image PG4 = "GuidePG4.png"
    image PG5 = "GuidePG5.png"
    image SelectRing = "SelectRing.png"
    image BabyBotCreator = "BabyBotCreatorGround.png"
    image HomePage = "HomePage.png"
    image Room = "BlankR.png"
    image MegaBotRoom = "MegaBot1.png"
    image A1 = "A1.png"
    image A2 = "A2.png"
    image A3 = "A3.png"
    image A4 = "A4.png"
    image A5 = "A5.png"
    image A6 = "A6.png"
    image A7 = "A7.png"
    image A8 = "A8.png"
    image A9 = "A9.png"
    image A10 = "A10.png"
    image A11 = "A11.png"
    image A12 = "A12.png"
    image A13 = "A13.png"
    image A14 = "A14.png"
    image A15 = "A15.png"
    image A16 = "A16.png"
    
    image CBot = ConditionSwitch(
        "SchoolBot == 'Julliet'", "CBot_1.png",
        "SchoolBot == 'Romeo'", "CBot_2.png",
        "SchoolBot == 'Drake'", "CBot_3.png",
        "SchoolBot == 'Miles'", "CBot_4.png",
        "SchoolBot == 'None'", "empty.png",
    )
    image BBot = ConditionSwitch(
        "SandBot == 'Zippy'", "BBot_1.png",
        "SandBot == 'Cuddles'", "BBot_2.png",
        "SandBot == 'Dusk'", "BBot_3.png",
        "SandBot == 'Boomer'", "BBot_4.png",
        "SandBot == 'None'", "empty.png",
    )
    image Nickel = "Nickel.png"
    image Orchard = "Orchard.png"
    image Store = "Store.png"
    image Explore = "Explore.png"
    image Blender = "Blender.png"
    image Bag = "Bag.png"
    image BagFruit = "Bag_Fruit.png"
    image Sandbox = "Sandbox.png"
    image School = "School.png"
    image plant1 = ConditionSwitch(
        "Sprout1 == 'CherryA'", "CA.png",
        "Sprout1 == 'StrawA'", "SA.png",
        "Sprout1 == 'OrangeA'", "OA.png",
        "Sprout1 == 'CherryB'", "CB.png",
        "Sprout1 == 'StrawB'", "SB.png",
        "Sprout1 == 'OrangeB'", "OB.png",
        "Sprout1 == 'CherryC'", "CC.png",
        "Sprout1 == 'StrawC'", "SC.png",
        "Sprout1 == 'OrangeC'", "OC.png",
        "Sprout1 == 'CherryD'", "CD.png",
        "Sprout1 == 'StrawD'", "SD.png",
        "Sprout1 == 'OrangeD'", "OD.png",
        "Sprout1 == 'None'", "empty.png",
        )
    image plant2 = ConditionSwitch(
        "Sprout2 == 'CherryA'", "CA.png",
        "Sprout2 == 'StrawA'", "SA.png",
        "Sprout2 == 'OrangeA'", "OA.png",
        "Sprout2 == 'CherryB'", "CB.png",
        "Sprout2 == 'StrawB'", "SB.png",
        "Sprout2 == 'OrangeB'", "OB.png",
        "Sprout2 == 'CherryC'", "CC.png",
        "Sprout2 == 'StrawC'", "SC.png",
        "Sprout2 == 'OrangeC'", "OC.png",
        "Sprout2 == 'CherryD'", "CD.png",
        "Sprout2 == 'StrawD'", "SD.png",
        "Sprout2 == 'OrangeD'", "OD.png",
        "Sprout2 == 'None'", "empty.png",
        )
    image plant3 = ConditionSwitch(
        "Sprout3 == 'CherryA'", "CA.png",
        "Sprout3 == 'StrawA'", "SA.png",
        "Sprout3 == 'OrangeA'", "OA.png",
        "Sprout3 == 'CherryB'", "CB.png",
        "Sprout3 == 'StrawB'", "SB.png",
        "Sprout3 == 'OrangeB'", "OB.png",
        "Sprout3 == 'CherryC'", "CC.png",
        "Sprout3 == 'StrawC'", "SC.png",
        "Sprout3 == 'OrangeC'", "OC.png",
        "Sprout3 == 'CherryD'", "CD.png",
        "Sprout3 == 'StrawD'", "SD.png",
        "Sprout3 == 'OrangeD'", "OD.png",
        "Sprout3 == 'None'", "empty.png",
        )
    image plant4 = ConditionSwitch(
        "Sprout4 == 'CherryA'", "CA.png",
        "Sprout4 == 'StrawA'", "SA.png",
        "Sprout4 == 'OrangeA'", "OA.png",
        "Sprout4 == 'CherryB'", "CB.png",
        "Sprout4 == 'StrawB'", "SB.png",
        "Sprout4 == 'OrangeB'", "OB.png",
        "Sprout4 == 'CherryC'", "CC.png",
        "Sprout4 == 'StrawC'", "SC.png",
        "Sprout4 == 'OrangeC'", "OC.png",
        "Sprout4 == 'CherryD'", "CD.png",
        "Sprout4 == 'StrawD'", "SD.png",
        "Sprout4 == 'OrangeD'", "OD.png",
        "Sprout4 == 'None'", "empty.png",
        )
    image B1 = ConditionSwitch(
        "Fruit1 == 'Cherry'", "C.png",
        "Fruit1 == 'Straw'", "S.png",
        "Fruit1 == 'Orange'", "O.png",
        "Fruit1 == 'None'", "empty.png",
        )
    image B2 = ConditionSwitch(
        "Fruit2 == 'Cherry'", "C.png",
        "Fruit2 == 'Straw'", "S.png",
        "Fruit2 == 'Orange'", "O.png",
        "Fruit2 == 'None'", "empty.png",
        )
    image B3 = ConditionSwitch(
        "Fruit3 == 'Cherry'", "C.png",
        "Fruit3 == 'Straw'", "S.png",
        "Fruit3 == 'Orange'", "O.png",
        "Fruit3 == 'None'", "empty.png",
        )
    image Hat = ConditionSwitch(
        "Head == 'Hat1'", "M_Hat1.png",
        "Head == 'Hat2'", "M_Hat2.png",
        "Head == 'Hat3'", "M_Hat3.png",
        "Head == 'Hat4'", "M_Hat4.png",
        "Head == 'Hat5'", "M_Hat5.png",
        "Head == 'Hat6'", "M_Hat6.png",
        "Head == 'Hat7'", "M_Hat7.png",
        "Head == 'Hat8'", "M_Hat8.png",
        "Head == 'Hat9a'", "M_Hat9a.png",
        "Head == 'Hat9b'", "M_Hat9b.png",
        "Head == 'Hat9c'", "M_Hat9c.png",
        "Head == 'Hat9d'", "M_Hat9d.png",
        "Head == 'Hat9e'", "M_Hat9e.png",
        "Head == 'Hat9f'", "M_Hat9f.png",
        "Head == 'Hat10'", "M_Hat10.png",
        "Head == 'Hat11'", "M_Hat11.png",
        "Head == 'Hat12a'", "M_Hat12a.png",
        "Head == 'Hat12b'", "M_Hat12b.png",
        "Head == 'Hat12c'", "M_Hat12c.png",
        "Head == 'Hat12d'", "M_Hat12d.png",
        "Head == 'Hat12e'", "M_Hat12e.png",
        "Head == 'Hat12f'", "M_Hat12f.png",
        "Head == 'Hat13'", "M_Hat13.png",
        "Head == 'Hat14'", "M_Hat14.png",
        "Head == 'Hat15'", "M_Hat15.png",
        "Head == 'Hat16'", "M_Hat16.png",
        "Head == 'Hat17'", "M_Hat17.png",
        "Head == 'Hat18'", "M_Hat18.png",
        "Head == 'Hat19'", "M_Hat19.png",
        "Head == 'Hat20a'", "M_Hat20a.png",
        "Head == 'Hat20b'", "M_Hat20b.png",
        "Head == 'Hat20c'", "M_Hat20c.png",
        "Head == 'Hat20d'", "M_Hat20d.png",
        "Head == 'Hat20e'", "M_Hat20e.png",
        "Head == 'Hat21'", "M_Hat21.png",
        "Head == 'Hat22'", "M_Hat22.png",
        "Head == 'Hat_1a'", "C_Hat1a.png",
        "Head == 'Hat_1b'", "C_Hat1b.png",
        "Head == 'Hat_1c'", "C_Hat1c.png",
        "Head == 'Hat_1d'", "C_Hat1d.png",
        "Head == 'Hat_1e'", "C_Hat1e.png",
        "Head == 'Hat_2'", "C_Hat2.png",
        "Head == 'Hat_3'", "C_Hat3.png",
        "Head == 'Hat_4'", "C_Hat4.png",
        "Head == 'Hat_5a'", "C_Hat5a.png",
        "Head == 'Hat_5b'", "C_Hat5b.png",
        "Head == 'Hat_5c'", "C_Hat5c.png",
        "Head == 'Hat_5d'", "C_Hat5d.png",
        "Head == 'Hat_5e'", "C_Hat5e.png",
        "Head == 'Hat_5f'", "C_Hat5f.png",
        "Head == 'Hat_6'", "C_Hat6.png",
        "Head == 'Hat_7'", "C_Hat7.png",
        "Head == 'Hat_8a'", "C_Hat8a.png",
        "Head == 'Hat_8b'", "C_Hat8b.png",
        "Head == 'Hat_8c'", "C_Hat8c.png",
        "Head == 'Hat_8d'", "C_Hat8d.png",
        "Head == 'Hat_8e'", "C_Hat8e.png",
        "Head == 'Hat_9a'", "C_Hat9a.png",
        "Head == 'Hat_9b'", "C_Hat9b.png",
        "Head == 'Hat_9c'", "C_Hat9c.png",
        "Head == 'Hat_10'", "C_Hat10.png",
        "Head == 'Hat_11'", "C_Hat11.png",
        "Head == 'Hat_12'", "C_Hat12.png",
        "Head == 'Hat_13'", "C_Hat13.png",
        "Head == 'Hat_14'", "C_Hat14.png",
        "Head == 'Hat__1a'", "B_Hat1a.png",
        "Head == 'Hat__1b'", "B_Hat1b.png",
        "Head == 'Hat__1c'", "B_Hat1c.png",
        "Head == 'Hat__1d'", "B_Hat1d.png",
        "Head == 'Hat__1e'", "B_Hat1e.png",
        "Head == 'Hat__2'", "B_Hat2.png",
        "Head == 'Hat__3'", "B_Hat3.png",
        "Head == 'Hat__4'", "B_Hat4.png",
        "Head == 'Hat__5a'", "B_Hat5a.png",
        "Head == 'Hat__5b'", "B_Hat5b.png",
        "Head == 'Hat__5c'", "B_Hat5c.png",
        "Head == 'Hat__5d'", "B_Hat5d.png",
        "Head == 'Hat__5e'", "B_Hat5e.png",
        "Head == 'Hat__5f'", "B_Hat5f.png",
        "Head == 'Hat__6'", "B_Hat6.png",
        "Head == 'Hat__7'", "B_Hat7.png",
        "Head == 'Hat__8a'", "B_Hat8a.png",
        "Head == 'Hat__8b'", "B_Hat8b.png",
        "Head == 'Hat__8c'", "B_Hat8c.png",
        "Head == 'Hat__8d'", "B_Hat8d.png",
        "Head == 'Hat__8e'", "B_Hat8e.png",
        "Head == 'Hat__9'", "B_Hat9.png",
        "Head == 'Hat__10'", "B_Hat10.png",
        "Head == 'Hat__11'", "B_Hat11.png",
        "Head == 'Hat__12'", "B_Hat12.png",
        "Head == 'Hat__13'", "B_Hat13.png",
        "Head == 'None'", "empty.png",
        )
    image Mask = ConditionSwitch(
        "Face == 'Mask1'", "M_Mask1.png",
        "Face == 'Mask2'", "M_Mask2.png",
        "Face == 'Mask3'", "M_Mask3.png",
        "Face == 'Mask4'", "M_Mask4.png",
        "Face == 'Mask5'", "M_Mask5.png",
        "Face == 'Mask6'", "M_Mask6.png",
        "Face == 'Mask7'", "M_Mask7.png",
        "Face == 'Mask8'", "M_Mask8.png",
        "Face == 'Mask9'", "M_Mask9.png",
        "Face == 'Mask10'", "M_Mask10.png",
        "Face == 'Mask11'", "M_Mask11.png",
        "Face == 'Mask12a'", "M_Mask12a.png",
        "Face == 'Mask12b'", "M_Mask12b.png",
        "Face == 'Mask12c'", "M_Mask12c.png",
        "Face == 'Mask12d'", "M_Mask12d.png",
        "Face == 'Mask_1'", "C_Mask1.png",
        "Face == 'Mask_2'", "C_Mask2.png",
        "Face == 'Mask_3'", "C_Mask3.png",
        "Face == 'Mask_4'", "C_Mask4.png",
        "Face == 'Mask_5'", "C_Mask5.png",
        "Face == 'Mask_6a'", "C_Mask6a.png",
        "Face == 'Mask_6b'", "C_Mask6b.png",
        "Face == 'Mask_6c'", "C_Mask6c.png",
        "Face == 'Mask_6d'", "C_Mask6d.png",
        "Face == 'Mask__1'", "B_Mask1.png",
        "Face == 'Mask__2'", "B_Mask2.png",
        "Face == 'Mask__3'", "B_Mask3.png",
        "Face == 'Mask__4'", "B_Mask4.png",
        "Face == 'Mask__5'", "B_Mask5.png",
        "Face == 'Mask__6a'", "B_Mask6a.png",
        "Face == 'Mask__6b'", "B_Mask6b.png",
        "Face == 'Mask__6c'", "B_Mask6c.png",
        "Face == 'Mask__6d'", "B_Mask6d.png",
        "Face == 'None'", "empty.png",
        )
    image Suit = ConditionSwitch(
        "Body == 'Body1a'", "M_Body1a.png",
        "Body == 'Body1b'", "M_Body1b.png",
        "Body == 'Body2a'", "M_Body2a.png",
        "Body == 'Body2b'", "M_Body2b.png",
        "Body == 'Body3'", "M_Body3.png",
        "Body == 'Body4a'", "M_Body4a.png",
        "Body == 'Body4b'", "M_Body4b.png",
        "Body == 'Body4c'", "M_Body4c.png",
        "Body == 'Body5'", "M_Body5.png",
        "Body == 'Body6'", "M_Body6.png",
        "Body == 'Body7a'", "M_Body7a.png",
        "Body == 'Body7b'", "M_Body7b.png",
        "Body == 'Body7c'", "M_Body7c.png",
        "Body == 'Body8a'", "M_Body8a.png",
        "Body == 'Body8b'", "M_Body8b.png",
        "Body == 'Body8c'", "M_Body8c.png",
        "Body == 'Body9'", "M_Body9.png",
        "Body == 'Body10'", "M_Body10.png",
        "Body == 'Body11a'", "M_Body11a.png",
        "Body == 'Body11b'", "M_Body11b.png",
        "Body == 'Body11c'", "M_Body11c.png",
        "Body == 'Body11d'", "M_Body11d.png",
        "Body == 'Body11e'", "M_Body11e.png",
        "Body == 'Body11f'", "M_Body11f.png",
        "Body == 'Body11g'", "M_Body11g.png",
        "Body == 'Body12'", "M_Body12.png",
        "Body == 'Body1st'", "M_Body1st.png",
        "Body == 'Body2nd'", "M_Body2nd.png",
        "Body == 'Body3rd'", "M_Body3rd.png",
        "Body == 'Body_1'", "C_Body1.png",
        "Body == 'Body_2'", "C_Body2.png",
        "Body == 'Body_3'", "C_Body3.png",
        "Body == 'Body_4'", "C_Body4.png",
        "Body == 'Body_5'", "C_Body5.png",
        "Body == 'Body_6a'", "C_Body6a.png",
        "Body == 'Body_6b'", "C_Body6b.png",
        "Body == 'Body_6c'", "C_Body6c.png",
        "Body == 'Body_7a'", "C_Body7a.png",
        "Body == 'Body_7b'", "C_Body7b.png",
        "Body == 'Body_7c'", "C_Body7c.png",
        "Body == 'Body_7d'", "C_Body7d.png",
        "Body == 'Body_7e'", "C_Body7e.png",
        "Body == 'Body_7f'", "C_Body7f.png",
        "Body == 'Body_7g'", "C_Body7g.png",
        "Body == 'Body_1st'", "C_Body1st.png",
        "Body == 'Body_2nd'", "C_Body2nd.png",
        "Body == 'Body_3rd'", "C_Body3rd.png",
        "Body == 'Body__1'", "B_Body1.png",
        "Body == 'Body__2'", "B_Body2.png",
        "Body == 'Body__3'", "B_Body3.png",
        "Body == 'Body__4'", "B_Body4.png",
        "Body == 'Body__5'", "B_Body5.png",
        "Body == 'Body__6a'", "B_Body6a.png",
        "Body == 'Body__6b'", "B_Body6b.png",
        "Body == 'Body__6c'", "B_Body6c.png",
        "Body == 'Body__1st'", "B_Body1st.png",
        "Body == 'Body__2nd'", "B_Body2nd.png",
        "Body == 'Body__3rd'", "B_Body3rd.png",
        "Body == 'None'", "empty.png",
        )
    image Smoothie = ConditionSwitch(
        "smoothie == 'S0'", "S0.png",
        "smoothie == 'S1'", "S1.png",
        "smoothie == 'S2'", "S2.png",
        "smoothie == 'S3'", "S3.png",
        "smoothie == 'S4'", "S4.png",
        "smoothie == 'S5'", "S5.png",
        "smoothie == 'S6'", "S6.png",
        "smoothie == 'S7'", "S7.png",
        "smoothie == 'S8'", "S8.png",
        "smoothie == 'S9'", "S9.png",
        "smoothie == 'S10'", "S10.png",
        "smoothie == 'None'", "empty.png",
        )
    image BabyBotC = ConditionSwitch(
        "BotColor == 'blue'", "BabyBotBlue.png",
        "BotColor == 'green'", "BabyBotGreen.png",
        "BotColor == 'gray'", "BabyBotGray.png",
        "BotColor == 'rose'", "BabyBotRose.png",
        )
    image CutieBotC = ConditionSwitch(
        "BotColor == 'blue'", "CutieBotBlue.png",
        "BotColor == 'green'", "CutieBotGreen.png",
        "BotColor == 'gray'", "CutieBotGray.png",
        "BotColor == 'rose'", "CutieBotRose.png",
        )
    image MiniBotC = ConditionSwitch(
        "BotColor == 'blue'", "MiniBotBlue.png",
        "BotColor == 'green'", "MiniBotGreen.png",
        "BotColor == 'gray'", "MiniBotGray.png",
        "BotColor == 'rose'", "MiniBotRose.png",
        )
    image BabyBotA = ConditionSwitch(
        "BotAdd == '0'", "empty.png",
        "BotAdd == '1'", "A1.png",
        "BotAdd == '2'", "A2.png",
        "BotAdd == '3'", "A3.png",
        "BotAdd == '4'", "A4.png",
        "BotAdd == '5'", "A5.png",
        "BotAdd == '6'", "A6.png",
        "BotAdd == '7'", "A7.png",
        "BotAdd == '8'", "A8.png",
        "BotAdd == '9'", "A9.png",
        "BotAdd == '10'", "A10.png",
        "BotAdd == '11'", "A11.png",
        "BotAdd == '12'", "A12.png",
        "BotAdd == '13'", "A13.png",
        "BotAdd == '14'", "A14.png",
        "BotAdd == '15'", "A15.png",
        "BotAdd == '16'", "A16.png",
        )
    image CutieBotA = ConditionSwitch(
        "BotAdd == '0'", "empty.png",
        "BotAdd == '5'", "A_5.png",
        "BotAdd == '6'", "A_6.png",
        "BotAdd == '7'", "A_7.png",
        "BotAdd == '8'", "A_8.png",
        "BotAdd == '9'", "A_9.png",
        "BotAdd == '10'", "A_10.png",
        "BotAdd == '11'", "A_11.png",
        "BotAdd == '12'", "A_12.png",
        "BotAdd == '13'", "A_13.png",
        "BotAdd == '14'", "A_14.png",
        "BotAdd == '15'", "A_15.png",
        "BotAdd == '16'", "A_16.png",
        )
    image MiniBotA = ConditionSwitch(
        "BotAdd == '0'", "empty.png",
        "BotAdd == '5'", "A__5.png",
        "BotAdd == '6'", "A__6.png",
        "BotAdd == '7'", "A__7.png",
        "BotAdd == '8'", "A__8.png",
        "BotAdd == '9'", "A__9.png",
        "BotAdd == '10'", "A__10.png",
        "BotAdd == '11'", "A__11.png",
        "BotAdd == '12'", "A__12.png",
        "BotAdd == '13'", "A__13.png",
        "BotAdd == '14'", "A__14.png",
        "BotAdd == '15'", "A__15.png",
        "BotAdd == '16'", "A__16.png",
        )
    image Mate = ConditionSwitch(
        "Mates == 'Blue'", "MiniBotBlue.png",
        "Mates == 'Green'", "MiniBotGreen.png",
        "Mates == 'Gray'", "MiniBotGray.png",
        "Mates == 'Rose'", "MiniBotRose.png",
        )

    # Declare characters used by this game.
    $ z = Character('Zippy', color="#90ee90")
    $ c = Character('Cuddles', color="ffc0cb")
    $ d = Character('Dusk', color="#d3d3d3")
    $ b = Character('Boomer', color="#afeeee")
    $ J = Character('Julliet', color="#ffc0cb")
    $ R = Character('Romeo', color="#afeeee")
    $ D = Character('Drake', color="#d3d3d3")
    $ M = Character('Miles', color="#90ee90")
    $ n = Character('Soul Bot', color="f5f5f5")
    
    $ config.rollback_enabled = False
    
    $ Surprise = False
    $ item = "None"
    
    $ show_energy = False
    $ show_money = False
    $ show_friend = False
    $ show_friends = False
    $ show_name = False
    $ show_cherries = False
    $ show_straws = False
    $ show_oranges = False
    $ show_generation = False
    $ show_Generation = False
    $ show_watts = False
    $ show_reputation = False
    $ show_brain = False
    $ show_body = False
    $ show_bagFruit = False
    $ show_Robo = False
    $ BotColor = "None"
    $ BotAdd = "0"
    $ BotA = "None"
    $ Seeds_C = 3
    $ Seeds_S = 3
    $ Seeds_O = 3
    $ Sprout1 = "None"
    $ Sprout2 = "None"
    $ Sprout3 = "None"
    $ Sprout4 = "None"
    $ Fruit1 = "None"
    $ Fruit2 = "None"
    $ Fruit3 = "None"
    $ Cherry = 5
    $ Strawberry = 5
    $ Orange = 5
    $ Head = "None"
    $ Face = "None"
    $ Body = "None"
    $ smoothie = "None"
    $ money = 100
    
    $ S = 0
    $ S1 = 0
    $ S2 = 0
    $ S3 = 0
    $ S4 = 0
    $ S5 = 0
    $ S6 = 0
    $ S7 = 0
    $ S8 = 0
    $ S9 = 0
    $ S10 = 0
    
    $ UnlockS1 = False
    $ UnlockS2 = False
    $ UnlockS3 = False
    $ UnlockS4 = False
    $ UnlockS5 = False
    $ UnlockS6 = False
    $ UnlockS7 = False
    $ UnlockS8 = False
    $ UnlockS9 = False
    $ UnlockS10 = False
    
    $ generation = 1
    $ age = "Baby"
    $ reputation = 0
    $ brain = 0
    $ body = 0
    $ watts = 5
    $ Robowatts = 15
    $ Roborep = 0
    $ Robobrain = 0
    $ Robobody = 0
    $ energy = 10
    
    $ HatFlower = False
    $ HatBow = False
    $ HatHeadPhone = False
    $ CHatHeadPhone = False
    $ HatFeather = False
    $ HatSpecial = False
    
    $ MaskPacifier = False
    
    $ BodyWing = False
    $ BodyCape = False
    $ BodyTail = False
    $ BodyScarf = False
    
    $ hat1 = False
    $ hat2 = False
    $ hat3 = False
    $ hat4 = False
    $ hat5 = False
    $ hat6 = False
    $ hat7 = False
    $ hat8 = False
    $ hat9a = False
    $ hat9b = False
    $ hat9c = False
    $ hat9d = False
    $ hat9e = False
    $ hat9f = False
    $ hat10 = False
    $ hat11 = False
    $ hat12a = False
    $ hat12b = False
    $ hat12c = False
    $ hat12d = False
    $ hat12e = False
    $ hat12f = False
    $ hat13 = False
    $ hat14 = False
    $ hat15 = False
    $ hat16 = False
    $ hat17 = False
    $ hat18 = False
    $ hat19 = False
    $ hat20a = False
    $ hat20b = False
    $ hat20c = False
    $ hat20d = False
    $ hat20e = False
    $ hat21 = False
    $ hat22 = False
    
    $ mask1 = False
    $ mask2 = False
    $ mask3 = False
    $ mask4 = False
    $ mask5 = False
    $ mask6 = False
    $ mask7 = False
    $ mask8 = False
    $ mask9 = False
    $ mask10 = False
    $ mask11 = False
    $ mask12a = False
    $ mask12b = False
    $ mask12c = False
    $ mask12d = False
    
    $ body1a = False
    $ body1b = False
    $ body2a = False
    $ body2b = False
    $ body3 = False
    $ body4a = False
    $ body4b = False
    $ body4c = False
    $ body5 = False
    $ body6 = False
    $ body7a = False
    $ body7b = False
    $ body7c = False
    $ body8a = False
    $ body8b = False
    $ body8c = False
    $ body9 = False
    $ body10 = False
    $ body11a = False
    $ body11b = False
    $ body11c = False
    $ body11d = False
    $ body11e = False
    $ body11f = False
    $ body11g = False
    $ body12 = False
    
    $ Mates = "None"
    
    $ C_B1 = False
    $ C_B2 = False
    $ C_B3 = False
    $ C_B4 = False
    $ C_B5 = False
    $ C_B6 = False
    $ C_Mix = False
    $ C_Beg1 = False
    $ C_Beg2 = False
    $ C_Beg3 = False
    $ C_Beg4 = False
    $ C_Beg5 = False
    $ C_Beg6 = False
    $ C_MeetB1 = False
    $ C_MeetB2 = False
    $ C_MeetB3 = False
    $ C_MeetB4 = False
    $ C_MeetC1 = False
    $ C_MeetC2 = False
    $ C_MeetC3 = False
    $ C_MeetC4 = False
    $ C_Ad1 = False
    $ C_Ad2 = False
    $ C_Ad3 = False
    $ C_Ad4 = False
    $ C_Ad5 = False
    $ C_Ad6 = False
    $ C_E1 = False
    $ C_E2 = False
    $ C_E3 = False
    $ C_E4 = False
    $ C_E5 = False
    $ C_E6 = False
    $ C_E7 = False
    $ C_E8 = False
    
    $ CherryOverlayX = 0.63
    $ CherryOverlayY = 0.3
    $ StrawOverlayX = 0.76
    $ StrawOverlayY = 0.3
    $ OrangeOverlayX = 0.89
    $ OrangeOverlayY = 0.3
    $ MoneyOverlayX = 0.16
    $ MoneyOverlayY = 0.9
    $ RepOverlayX = 0.76
    $ RepOverlayY = 0.17
    $ BrainOverlayX = 0.78
    $ BrainOverlayY = 0.22
    $ BodyOverlayX = 0.78
    $ BodyOverlayY = 0.27
    $ GenerationOverlayX = 0.76
    $ GenerationOverlayY = 0.12
    $ WattsOverlayX = 0.78
    $ WattsOverlayY = 0.35
    
    $ SchoolBot = "None"
    $ SandBot = "None"
    $ Friend1 = 0
    $ Friend2 = 0
    $ Friend3 = 0
    $ Friend4 = 0
    $ Friend5 = 0
    $ Friend6 = 0
    $ Friend7 = 0
    $ Friend8 = 0
    
    $ N = 0
    
    $ event1 = False
    $ event2 = "None"
    $ JR = "None"
    
    $ HintDisk = False
    $ Blah = False
    
init -2 python:
    layout.imagemap_main_menu(
        "TitleScreen.png",
        "TitleScreenHover.png",
        [ (78, 422, 358, 486, "Start Game"),
          (78, 493, 358, 554, "Load Game"), 
          (354, 422, 716, 486, "Preferences"),
          (358, 486, 716, 554, "Quit") ],
        )
    def S_overlay ():
        if show_bagFruit: 
            if HintDisk == True:
                ui.text (("PLAY"), size=20, color="#696969", xalign=0.25, yalign=0.05)
            if HintDisk == False:
                ui.text (("You do not have the disk"), size=10, color="#696969", xalign=0.2, yalign=0.12)
    config.overlay_functions.append(S_overlay)
    def S1_overlay ():
        if show_bagFruit: 
            ui.text ((str(S2)+"             "+str(S3)+"             "+str(S4)+"             "+str(S6)+"             "+str(S9)), size=20, color="#696969", xalign=0.25, yalign=0.35)
    config.overlay_functions.append(S1_overlay)
    def S2_overlay ():
        if show_bagFruit: 
            ui.text ((str(S1)+"             "+str(S10)+"             "+str(S5)+"             "+str(S7)+"             "+str(S8)), size=20, color="#696969", xalign=0.25, yalign=0.55)
    config.overlay_functions.append(S2_overlay)
    def S3_overlay ():
        if show_bagFruit: 
            ui.text ((str(S)), size=20, color="#696969", xalign=0.75, yalign=0.45)
    config.overlay_functions.append(S3_overlay)
    def Blah_overlay ():
        if show_bagFruit:
            ui.text ((str(Seeds_C)+"             "+str(Seeds_S)+"             "+str(Seeds_O)), size=20, color="#696969", xalign=0.2, yalign=0.85)
    config.overlay_functions.append(Blah_overlay)
    def S4_overlay ():
        if show_bagFruit: 
            ui.text ((str(Cherry)+"         "+str(Strawberry)+"         "+str(Orange)), size=20, color="#696969", xalign=0.65, yalign=0.8)
    config.overlay_functions.append(S4_overlay)
    def reputation_overlay ():
        if show_generation: 
            ui.text (("Reputation   " + str(reputation)), size=20, color="#696969", xalign=RepOverlayX, yalign=RepOverlayY)
        if show_reputation: 
            ui.text ((str(reputation)), size=20, color="#696969", xalign=RepOverlayX, yalign=RepOverlayY)
    config.overlay_functions.append(reputation_overlay)
    def brain_overlay ():
        if show_generation: 
            ui.text (("Brain   " + str(brain)), size=20, color="#696969", xalign=BrainOverlayX, yalign=BrainOverlayY)
        if show_brain: 
            ui.text ((str(brain)), size=20, color="#696969", xalign=BrainOverlayX, yalign=BrainOverlayY)
    config.overlay_functions.append(brain_overlay)
    def body_overlay ():
        if show_generation: 
            ui.text (("Body   " + str(body)), size=20, color="#696969", xalign=BodyOverlayX, yalign=BodyOverlayY)
        if show_body: 
            ui.text ((str(body)), size=20, color="#696969", xalign=BodyOverlayX, yalign=BodyOverlayY)
    config.overlay_functions.append(body_overlay)
    def generation_overlay ():
        if show_generation: 
            ui.text (("Generation   " + str(generation)), size=20, color="#696969", xalign=GenerationOverlayX, yalign=GenerationOverlayY)
        if show_Generation: 
            ui.text (("Generation   " + str(generation)), size=25, color="#696969", xalign=0.11, yalign=0.10)
    config.overlay_functions.append(generation_overlay)
    def watts_overlay ():
        if show_generation: 
            ui.text (("Watts   " + str(watts)), size=20, color="#696969", xalign=WattsOverlayX, yalign=WattsOverlayY)
        if show_watts: 
            ui.text ((str(watts)), size=20, color="#696969", xalign=WattsOverlayX, yalign=WattsOverlayY)
    config.overlay_functions.append(watts_overlay)
    def cherries_overlay ():
        if show_cherries: 
            ui.text ((str(Cherry)), size=30, color="#696969", xalign=0.63, yalign=0.3)
    config.overlay_functions.append(cherries_overlay)
    def straw_overlay ():
        if show_straws: 
            ui.text ((str(Strawberry)), size=30, color="#696969", xalign=0.76, yalign=0.3)
    config.overlay_functions.append(straw_overlay)
    def orange_overlay ():
        if show_oranges: 
            ui.text ((str(Orange)), size=30, color="#696969", xalign=0.89, yalign=0.3)
    config.overlay_functions.append(orange_overlay)
    
    def money_overlay ():
        if show_money: 
            ui.text (("$" + str(money)), size=30, color="#696969", xalign=MoneyOverlayX, yalign=MoneyOverlayY)
    config.overlay_functions.append(money_overlay)
    def energy_overlay ():
        if show_energy: 
            ui.text (("Energy     " + str(energy)), size=20, color="#696969", xalign=0.28, yalign=0.05)
    config.overlay_functions.append(energy_overlay)
    
    def W_overlay ():
        if show_Robo: 
            ui.text ((str(Robowatts)), size=20, color="#696969", xalign=0.1, yalign=0.17)
    config.overlay_functions.append(W_overlay)
    def R_overlay ():
        if show_Robo: 
            ui.text ((str(Roborep)), size=20, color="#696969", xalign=0.1, yalign=0.22)
    config.overlay_functions.append(R_overlay)
    def BR_overlay ():
        if show_Robo: 
            ui.text ((str(Robobrain)), size=20, color="#696969", xalign=0.1, yalign=0.27)
    config.overlay_functions.append(BR_overlay)
    def B_overlay ():
        if show_Robo: 
            ui.text ((str(Robobody)), size=20, color="#696969", xalign=0.1, yalign=0.32)
    config.overlay_functions.append(B_overlay)
    
    def name_overlay ():
        if show_name and age == "Baby": 
            ui.text ((str(SandBot)), size=30, color="#696969", xalign=0.1, yalign=0.1)
        if show_name and age == "Cutie": 
            ui.text ((str(SchoolBot)), size=30, color="#696969", xalign=0.1, yalign=0.1)
    config.overlay_functions.append(name_overlay)
    def friend_overlay ():
        if show_friend and SandBot == "Zippy":
            ui.text (("Friendship    " + str(Friend1)), size=25, color="#696969", xalign=0.1, yalign=0.2)
        if show_friend and SandBot == "Cuddles":
            ui.text (("Friendship    " + str(Friend2)), size=25, color="#696969", xalign=0.1, yalign=0.2)
        if show_friend and SandBot == "Dusk":
            ui.text (("Friendship    " + str(Friend3)), size=25, color="#696969", xalign=0.1, yalign=0.2)
        if show_friend and SandBot == "Boomer":
            ui.text (("Friendship    " + str(Friend4)), size=25, color="#696969", xalign=0.1, yalign=0.2)
    config.overlay_functions.append(friend_overlay)
    def friends_overlay ():
        if show_friends and SchoolBot == "Julliet":
            ui.text (("Friendship    " + str(Friend5)), size=25, color="#696969", xalign=0.1, yalign=0.2)
        if show_friends and SchoolBot == "Romeo":
            ui.text (("Friendship    " + str(Friend6)), size=25, color="#696969", xalign=0.1, yalign=0.2)
        if show_friends and SchoolBot == "Drake":
            ui.text (("Friendship    " + str(Friend7)), size=25, color="#696969", xalign=0.1, yalign=0.2)
        if show_friends and SchoolBot == "Miles":
            ui.text (("Friendship    " + str(Friend8)), size=25, color="#696969", xalign=0.1, yalign=0.2)
    config.overlay_functions.append(friends_overlay)

# The game starts here:
    
label start:
            show Splash1
            with dissolve
            with Pause(2)
            show Splash2
            with dissolve
            with Pause(2)
            show Splash3
            with dissolve
            with Pause(2)
            show Splash4
            with dissolve
            show Splash5
            with dissolve
            with Pause(2)
            show Splash6
            with dissolve
            with Pause(2)
            show Splash7
            with dissolve
            with Pause(3)
            show black
            with dissolve
            show text "And so, the quest to make the most powerful robot alive began..." with dissolve
            with Pause(2)
            hide text with fade
            scene BabyBotCreator
            $ show_Generation = True
            "Welcome to the BabyBot Creator Menu!"
            "This is your first time here, which means you're about to create your very first BabyBot!"
            "Simply choose a color... and an accessory if you'd like, then hit the continue button!"
            "You are about to begin your quest to become the most powerful robot alive!"
            play music ["IndustrialMusicBox.mp3", "GoneBeyond.mp3"]
            
label Start:
    scene BabyBotCreator
        
label start1:
        $ show_Generation = True
        $ result = renpy.imagemap("BabyBotCreator.png", "BabyBotCreatorHover.png", [
                (196, 180, 298, 203, "Blue"),
                (196, 204, 298, 224, "Green"), 
                (196, 225, 298, 245, "Gray"),
                (196, 246, 298, 266, "Rose"),
                (57, 416, 111, 467, "Star_yellow"),
                (57, 498, 111, 548, "Star_purple"),
                (130, 416, 183, 467, "Heart_pink"),
                (130, 498, 183, 548, "Heart_blue"),
                (197, 416, 251, 467, "Bunny_white"),
                (197, 498, 251, 548, "Bunny_brown"),
                (268, 416, 323, 467, "Cat_white"),
                (268, 498, 323, 548, "Cat_brown"),
                (341, 416, 394, 467, "Bunny_black"),
                (341, 498, 394, 548, "Bunny_red"),
                (413, 416, 466, 467, "Cat_black"),
                (413, 498, 466, 548, "Cat_red"),
                (483, 416, 537, 467, "Eye_green"),
                (483, 498, 537, 548, "Eye_blue"),
                (555, 416, 609, 467, "Eye_black"),
                (555, 498, 609, 548, "Eye_brown"),
                (643, 433, 775, 533, "Continue"),
                ], overlays = True)

        if result == "Blue":
            hide BabyBotC
            $ BotColor = "blue"
            show BabyBotC at Position(xanchor = 0.5, yanchor = 0.5, xpos = 382, ypos = 237)
            jump start1
        elif result == "Green":
            hide BabyBotC
            $ BotColor = "green"
            show BabyBotC at Position(xanchor = 0.5, yanchor = 0.5, xpos = 382, ypos = 237)
            jump start1
        elif result == "Gray":
            hide BabyBotC
            $ BotColor = "gray"
            show BabyBotC at Position(xanchor = 0.5, yanchor = 0.5, xpos = 382, ypos = 237)
            jump start1
        elif result == "Rose":
            hide BabyBotC
            $ BotColor = "rose"  
            show BabyBotC at Position(xanchor = 0.5, yanchor = 0.5, xpos = 382, ypos = 237)
            jump start1
        if result == "Star_yellow":
            hide SelectRing
            show SelectRing at Position(xanchor =0.5, yanchor =0.5, xpos =82, ypos =442)
            $ BotAdd = "1"
            $ BotA = "Tattoo"
            jump start1
        elif result == "Star_purple":
            hide SelectRing
            show SelectRing at Position(xanchor =0.5, yanchor =0.5, xpos =82, ypos =524)
            $ BotAdd = "2"
            $ BotA = "Tattoo"
            jump start1
        elif result == "Heart_pink":
            hide Select Ring
            show SelectRing at Position(xanchor =0.5, yanchor =0.5, xpos =155, ypos =442)
            $ BotAdd = "3"
            $ BotA = "Tattoo"
            jump start1
        elif result == "Heart_blue":
            hide SelectRing
            show SelectRing at Position(xanchor =0.5, yanchor =0.5, xpos =155, ypos =524)
            $ BotAdd = "4"
            $ BotA = "Tattoo"
            jump start1
        elif result == "Bunny_white":
            hide SelectRing
            show SelectRing at Position(xanchor =0.5, yanchor =0.5, xpos =224, ypos =442)
            $ BotAdd = "5"
            $ BotA = "BEars"
            jump start1
        elif result == "Bunny_brown":
            hide SelectRing
            show SelectRing at Position(xanchor =0.5, yanchor =0.5, xpos =224, ypos =524)
            $ BotAdd = "6"
            $ BotA = "BEars"
            jump start1
        elif result == "Cat_white":
            hide SelectRing
            show SelectRing at Position(xanchor =0.5, yanchor =0.5, xpos =296, ypos =442)
            $ BotAdd = "7"
            $ BotA = "CEars"
            jump start1
        elif result == "Cat_brown":
            hide SelectRing
            show SelectRing at Position(xanchor =0.5, yanchor =0.5, xpos =296, ypos= 524)
            $ BotAdd = "8"
            $ BotA = "CEars"
            jump start1
        elif result == "Bunny_black":
            hide SelectRing
            show SelectRing at Position(xanchor =0.5, yanchor =0.5, xpos =366, ypos =442)
            $ BotAdd = "9"
            $ BotA = "BEars"
            jump start1
        elif result == "Bunny_red":
            hide SelectRing
            show SelectRing at Position(xanchor =0.5, yanchor =0.5, xpos =366, ypos =524)
            $ BotAdd = "10"
            $ BotA = "BEars"
            jump start1
        elif result == "Cat_black":
            hide SelectRing
            show SelectRing at Position(xanchor =0.5, yanchor= 0.5, xpos =438, ypos =442)
            $ BotAdd = "11"
            $ BotA = "CEars"
            jump start1
        elif result == "Cat_red":
            hide SelectRing
            show SelectRing at Position(xanchor =0.5, yanchor =0.5, xpos =438, ypos =524)
            $ BotAdd = "12"
            $ BotA = "CEars"
            jump start1
        elif result == "Eye_green":
            hide SelectRing
            show SelectRing at Position(xanchor =0.5, yanchor =0.5, xpos =509, ypos=442)
            $ BotAdd = "13"
            $ BotA = "Eyes"
            jump start1
        elif result == "Eye_blue":
            hide SelectRing
            show SelectRing at Position(xanchor =0.5, yanchor =0.5, xpos =509, ypos =524)
            $ BotAdd = "14"
            $ BotA = "Eyes"
            jump start1
        elif result == "Eye_black":
            hide SelectRing
            show SelectRing at Position(xanchor =0.5, yanchor =0.5, xpos =582, ypos =442)
            $ BotAdd = "15"
            $ BotA = "Eyes"
            jump start1
        elif result == "Eye_brown":
            hide SelectRing
            show SelectRing at Position(xanchor =0.5, yanchor =0.5, xpos =582, ypos= 524)
            $ BotAdd = "16"
            $ BotA = "Eyes"
            jump start1
        elif result == "Continue":
            if BotColor == "None":
                        "You never chose a color!  Please choose one."
                        jump start1
            else:
                $ show_Generation = False
                jump colorcheck
            
label colorcheck:
    scene HomePage
    $ show_energy = True
    $ show_generation = True
    if age == "Baby":
        show BabyBotC at Position(xanchor =0.5, yanchor =0.5, xpos =220, ypos =268)
    if age == "Cutie":
        show CutieBotC at Position(xanchor =0.5, yanchor =0.5, xpos =220, ypos =270)
    if age == "Mini":
        show MiniBotC at Position(xanchor =0.5, yanchor =0.5, xpos =215, ypos =250)
                
label addcheck:
    if age == "Baby":
        if BotA == "Tattoo":
            show BabyBotA at Position(xanchor =0.5, yanchor =0.5, xpos =235, ypos =282)
        elif BotA == "BEars":
            show BabyBotA at Position(xanchor =0.5, yanchor =0.5, xpos =220, ypos =228)
        elif BotA == "CEars":
            show BabyBotA at Position(xanchor =0.5, yanchor =0.5, xpos =219, ypos =228)
        elif BotA == "Eyes":
            show BabyBotA at Position(xanchor =0.5, yanchor =0.5, xpos =219, ypos =262)
        elif BotAdd == "0":
            jump Home
    if age == "Cutie":
        if BotA == "Tattoo":
            show BabyBotA at Position(xanchor =0.5, yanchor =0.5, xpos =220, ypos =286)
        elif BotA == "BEars":
            show CutieBotA at Position(xanchor =0.5, yanchor =0.5, xpos =221, ypos =197)
        elif BotA == "CEars":
            show CutieBotA at Position(xanchor =0.5, yanchor =0.5, xpos =220, ypos =205)
        elif BotA == "Eyes":
            show CutieBotA at Position(xanchor =0.5, yanchor =0.5, xpos =219, ypos =232)
        elif BotAdd == "0":
            jump Home
    if age == "Mini":
        if BotA == "Tattoo":
            show BabyBotA at Position(xanchor =0.5, yanchor =0.5, xpos =225, ypos =260)
        elif BotA == "BEars":
            show MiniBotA at Position(xanchor =0.5, yanchor =0.5, xpos =215, ypos =124)
        elif BotA == "CEars":
            show MiniBotA at Position(xanchor =0.5, yanchor =0.5, xpos =215, ypos =149)
        elif BotA == "Eyes":
            show MiniBotA at Position(xanchor =0.5, yanchor =0.5, xpos =215, ypos =194)
        elif BotAdd == "0":
            jump Home
    jump Home
                
label Home:
    if age == "Baby":
        show Hat at Position(xanchor =0.5, yanchor =0.5, xpos =220, ypos =238)
        show Mask at Position(xanchor =0.5, yanchor =0.5, xpos =220, ypos =265)
        show Suit at Position(xanchor =0.5, yanchor =0.5, xpos =223, ypos =257)
    if age == "Cutie":
        show Hat at Position(xanchor =0.5, yanchor =0.5, xpos =219, ypos =214)
        show Mask at Position(xanchor =0.5, yanchor =0.5, xpos =220, ypos =242)
        show Suit at Position(xanchor =0.5, yanchor =0.5, xpos =222, ypos =269)
    if age == "Mini":
        show Hat at Position(xanchor =0.5, yanchor =0.5, xpos =213, ypos =142)
        show Mask at Position(xanchor =0.5, yanchor =0.5, xpos =213, ypos =214)
        show Suit at Position(xanchor =0.5, yanchor =0.5, xpos =223, ypos =252)
        
    $ result = renpy.imagemap("HomePageBaby1.png", "HomePageBaby2.png", [
        (80, 440, 175, 475, "Hats"),
        (190, 440, 280, 475, "Face"),
        (133, 488, 225, 525, "Body"),
        (265, 498, 362, 530, "Reset"),
        (560, 521, 780, 580, "Main"),
        (470, 265, 610, 335, "Orchard"),
        (620, 265, 765, 335, "Explore"),
        (470, 345, 613, 417, "Blender"),
        (620, 345, 765, 417, "Bag"),
        (17, 17, 161,61, "Recharge"),
        ], overlays = True)
        
    if result == "Hats":
        if age == "Mini":
            menu:
                "Party Hat" if hat1 == True:
                    $ Head = "Hat1"
                "Halo" if hat3 == True:
                    $ Head = "Hat3"
                "Top Hat" if hat2 == True:
                    $ Head = "Hat2"
                "Flowers" if HatFlower == True:
                    menu:
                        "Pink Flower" if hat4 == True:
                            $ Head = "Hat4"
                        "Blue Flower" if hat5 == True:
                            $ Head = "Hat5"
                        "Purple Flower" if hat6 == True:
                            $ Head = "Hat6"
                        "Red Rose" if hat7 == True:
                            $ Head = "Hat7"
                        "Black Rose" if hat8 == True:
                            $ Head = "Hat8"
                    jump Home
                "Bows" if HatBow == True:
                    menu:
                        "Red Bow" if hat9a == True:
                            $ Head = "Hat9a"
                        "Yellow Bow" if hat9b == True:
                            $ Head = "Hat9b"
                        "Green Bow" if hat9c == True:
                            $ Head = "Hat9c"
                        "Blue Bow" if hat9d == True:
                            $ Head = "Hat9d"
                        "Purple Bow" if hat9e == True:
                            $ Head = "Hat9e"
                        "Black Bow" if hat9f == True:
                            $ Head = "Hat9f"
                    jump Home
                "Crown" if hat10 == True:
                    $ Head = "Hat10"
                "Tiara" if hat11 == True:
                    $ Head = "Hat11"
                "HeadPhones" if HatHeadPhone == True:
                    menu:
                        "Red HeadPhones" if hat12a == True:
                            $ Head = "Hat12a"
                        "Yellow HeadPhones" if hat12b == True:
                            $ Head = "Hat12b"
                        "Green HeadPhones" if hat12c == True:
                            $ Head = "Hat12c"
                        "Blue HeadPhones" if hat12d == True:
                            $ Head = "Hat12d"
                        "Purple HeadPhones" if hat12e == True:
                            $ Head = "Hat12e"
                        "Black HeadPhones" if hat12f == True:
                            $ Head = "Hat12f"
                    jump Home
                "Special Hats" if HatSpecial == True:
                    menu:
                        "Fedora" if hat13 == True:
                            $ Head = "Hat13"
                        "Sombrero" if hat14 == True:
                            $ Head = "Hat14"
                        "Cowboy Hat" if hat19 == True:
                            $ Head = "Hat19"
                        "Graduation Cap" if hat16 == True:
                            $ Head = "Hat16"
                        "Spinny Hat" if hat17 == True:
                            $ Head = "Hat17"
                    jump Home
                "Antenna" if hat15 == True:
                    $ Head = "Hat15"
                "Ball Cap" if hat18 == True:
                    $ Head = "Hat18"
                "Feathers" if HatFeather == True:
                    menu:
                        "Purple Feather" if hat20a == True:
                            $ Head = "Hat20a"
                        "Green Feather" if hat20b == True:
                            $ Head = "Hat20b"
                        "Brown Feather" if hat20c == True:
                            $ Head = "Hat20c"
                        "Pink Feather" if hat20d == True:
                            $ Head = "Hat20d"
                        "Blue Feather" if hat20e == True:
                            $ Head = "Hat20e"
                    jump Home
                "Unicorn Horn" if hat21 == True:
                    $ Head = "Hat21"
                "Small Horns" if hat22 == True:
                    $ Head = "Hat22"
                "Never mind...":
                    jump Home
            jump Home
        if age == "Cutie":
            menu:
                "Party Hat" if hat1 == True:
                    $ Head = "Hat_2"
                "Halo" if hat3 == True:
                    $ Head = "Hat_3"
                "Top Hat" if hat2 == True:
                    $ Head = "Hat_4"
                "Flowers" if HatFlower == True:
                    menu:
                        "Pink Flower" if hat4 == True:
                            $ Head = "Hat_1a"
                        "Blue Flower" if hat5 == True:
                            $ Head = "Hat_1b"
                        "Purple Flower" if hat6 == True:
                            $ Head = "Hat_1c"
                        "Red Rose" if hat7 == True:
                            $ Head = "Hat_1d"
                        "Black Rose" if hat8 == True:
                            $ Head = "Hat_1e"
                    jump Home
                "Bows" if HatBow == True:
                    menu:
                        "Red Bow" if hat9a == True:
                            $ Head = "Hat_5a"
                        "Yellow Bow" if hat9b == True:
                            $ Head = "Hat_5b"
                        "Green Bow" if hat9c == True:
                            $ Head = "Hat_5c"
                        "Blue Bow" if hat9d == True:
                            $ Head = "Hat_5d"
                        "Purple Bow" if hat9e == True:
                            $ Head = "Hat_5e"
                        "Black Bow" if hat9f == True:
                            $ Head = "Hat_5f"
                    jump Home
                "Feathers" if HatFeather == True:
                    menu:
                        "Purple Feather" if hat20a == True:
                            $ Head = "Hat_8a"
                        "Green Feather" if hat20b == True:
                            $ Head = "Hat_8b"
                        "Brown Feather" if hat20c == True:
                            $ Head = "Hat_8c"
                        "Pink Feather" if hat20d == True:
                            $ Head = "Hat_8d"
                        "Blue Feather" if hat20e == True:
                            $ Head = "Hat_8e"
                "Crown" if hat10 == True:
                    $ Head = "Hat_13"
                "Tiara" if hat11 == True:
                    $ Head = "Hat_14"
                "HeadPhones" if CHatHeadPhone == True:
                    menu:
                        "Black HeadPhones" if hat12a == True:
                            $ Head = "Hat_9a"
                        "Pink HeadPhones" if hat12b == True:
                            $ Head = "Hat_9b"
                        "Yellow HeadPhones" if hat12c == True:
                            $ Head = "Hat_9c"
                    jump Home
                "Spinny Hat" if hat17 == True:
                    $ Head = "Hat_11"
                "Unicorn Horn" if hat21 == True:
                    $ Head = "Hat_7"
                "Small Horns" if hat22 == True:
                    $ Head = "Hat_6"
                "Antenna" if hat15 == True:
                    $ Head = "Hat_10"
                "Ball Cap" if hat18 == True:
                    $ Head = "Hat_12"
                "Never mind...":
                    jump Home
            jump Home
        if age == "Baby":
            menu:
                "Party Hat" if hat1 == True:
                    $ Head = "Hat__2"
                "Halo" if hat3 == True:
                    $ Head = "Hat__3"
                "Top Hat" if hat2 == True:
                    $ Head = "Hat__4"
                "Flowers" if HatFlower == True:
                    menu:
                        "Pink Flower" if hat4 == True:
                            $ Head = "Hat__1a"
                        "Blue Flower" if hat5 == True:
                            $ Head = "Hat__1b"
                        "Purple Flower" if hat6 == True:
                            $ Head = "Hat__1c"
                        "Red Rose" if hat7 == True:
                            $ Head = "Hat__1d"
                        "Black Rose" if hat8 == True:
                            $ Head = "Hat__1e"
                    jump Home
                "Bows" if HatBow == True:
                    menu:
                        "Red Bow" if hat9a == True:
                            $ Head = "Hat__5a"
                        "Yellow Bow" if hat9b == True:
                            $ Head = "Hat__5b"
                        "Green Bow" if hat9c == True:
                            $ Head = "Hat__5c"
                        "Blue Bow" if hat9d == True:
                            $ Head = "Hat__5d"
                        "Purple Bow" if hat9e == True:
                            $ Head = "Hat__5e"
                        "Black Bow" if hat9f == True:
                            $ Head = "Hat__5f"
                    jump Home
                "Feathers" if HatFeather == True:
                    menu:
                        "Purple Feather" if hat20a == True:
                            $ Head = "Hat__8a"
                        "Green Feather" if hat20b == True:
                            $ Head = "Hat__8b"
                        "Brown Feather" if hat20c == True:
                            $ Head = "Hat__8c"
                        "Pink Feather" if hat20d == True:
                            $ Head = "Hat__8d"
                        "Blue Feather" if hat20e == True:
                            $ Head = "Hat__8e"
                    jump Home
                "Crown" if hat10 == True:
                    $ Head = "Hat__12"
                "Tiara" if hat11 == True:
                    $ Head = "Hat__13"
                "HeadPhones" if hat12a == True and CHatHeadPhone == True:
                    $ Head = "Hat__9"
                "Spinny Hat" if hat17 == True:
                    $ Head = "Hat__11"
                "Unicorn Horn" if hat21 == True:
                    $ Head = "Hat__7"
                "Small Horns" if hat22 == True:
                    $ Head = "Hat__6"
                "Antenna" if hat15 == True:
                    $ Head = "Hat__10"
                "Never mind...":
                    jump Home
        jump Home
    if result == "Face":
        if age == "Mini":
            menu:
                "Pilot Goggles" if mask1 == True:
                    $ Face = "Mask1"
                "Ninja Mask" if mask2 == True:
                    $ Face = "Mask2"
                "Nerd Glasses" if mask3 == True:
                    $ Face = "Mask3"
                "Monocle" if mask4 == True:
                    $ Face = "Mask4"
                "Fangs" if mask5 == True:
                    $ Face = "Mask5"
                "Whiskers" if mask6 == True:
                    $ Face = "Mask6"
                "Hippie Glasses" if mask7 == True:
                    $ Face = "Mask7"
                "Sun Glasses" if mask8 == True:
                    $ Face = "Mask8"
                "Blush" if mask9 == True:
                    $ Face = "Mask9"
                "Teeth" if mask10 == True:
                    $ Face = "Mask10"
                "Eye Patch" if mask11 == True:
                    $ Face = "Mask11"
                "Pacifiers" if MaskPacifier == True:
                    menu:
                        "Blue Pacifier" if mask12a == True:
                            $ Face = "Mask12a"
                        "Pink Pacifier" if mask12b == True:
                            $ Face = "Mask12b"
                        "Green Pacifier" if mask12c == True:
                            $ Face = "Mask12c"
                        "Yellow Pacifier" if mask12d == True:
                            $ Face = "Mask12d"
                    jump Home
                "Never mind...":
                    jump Home
        if age == "Cutie":
            menu:
                "Nerd Glasses" if mask3 == True:
                    $ Face = "Mask_1"
                "Fangs" if mask5 == True:
                    $ Face = "Mask_2"
                "Blush" if mask9 == True:
                    $ Face = "Mask_3"
                "Teeth" if mask10 == True:
                    $ Face = "Mask_4"
                "Eye Patch" if mask11 == True:
                    $ Face = "Mask_5"
                "Pacifiers" if MaskPacifier == True:
                    menu:
                        "Blue Pacifier" if mask12a == True:
                            $ Face = "Mask_6a"
                        "Pink Pacifier" if mask12b == True:
                            $ Face = "Mask_6b"
                        "Green Pacifier" if mask12c == True:
                            $ Face = "Mask_6c"
                        "Yellow Pacifier" if mask12d == True:
                            $ Face = "Mask_6d"
                    jump Home
                "Never mind...":
                    jump Home
        if age == "Baby":
            menu:
                "Nerd Glasses" if mask3 == True:
                    $ Face = "Mask__1"
                "Fangs" if mask5 == True:
                    $ Face = "Mask__2"
                "Blush" if mask9 == True:
                    $ Face = "Mask__3"
                "Teeth" if mask10 == True:
                    $ Face = "Mask__4"
                "Eye Patch" if mask11 == True:
                    $ Face = "Mask__5"
                "Pacifiers" if MaskPacifier == True:
                    menu:
                        "Blue Pacifier" if mask12a == True:
                            $ Face = "Mask__6a"
                        "Pink Pacifier" if mask12b == True:
                            $ Face = "Mask__6b"
                        "Green Pacifier" if mask12c == True:
                            $ Face = "Mask__6c"
                        "Yellow Pacifier" if mask12d == True:
                            $ Face = "Mask__6d"
                    jump Home
                "Never mind...":
                    jump Home
        jump Home    
    if result == "Body":
        if age == "Mini":
            menu:
                "Wings" if BodyWing == True:
                    menu:
                        "Angel Wings" if body1a == True:
                            $ Body = "Body1a"
                        "Owl Wings" if body1b == True:
                            $ Body = "Body1b"
                        "Cute Silver Wings" if body2a == True:
                            $ Body = "Body2a"
                        "Cute Gold Wings" if body2b == True:
                            $ Body = "Body2b"
                        "Bat Wings" if body3 == True:
                            $ Body = "Body3"
                        "Yellow Fairy Wings" if body4a == True:
                            $ Body = "Body4a"
                        "Pink Fairy Wings" if body4b == True:
                            $ Body = "Body4b"
                        "Blue Fairy Wings" if body4c == True:
                            $ Body = "Body4c"
                "Pendant" if body5 == True:
                    $ Body = "Body5"
                "TV-Screen" if body6 == True:
                    $ Body = "Body6"
                "Capes" if BodyCape == True:
                    menu:
                        "Blue Cape" if body7a == True:
                            $ Body = "Body7a"
                        "Pink Cape" if body7b == True:
                            $ Body = "Body7b"
                        "Black Cape" if body7c == True:
                            $ Body = "Body7c"
                "Tails" if BodyTail == True:
                    menu:
                        "Black Cat Tail" if body8a == True:
                            $ Body = "Body8a"
                        "Striped Cat Tail" if body8b == True:
                            $ Body = "Body8b"
                        "White Cat Tail" if body8c == True:
                            $ Body = "Body8c"
                        "Fox Tail" if body9 == True:
                            $ Body = "Body9"
                        "Wolf Tail" if body10 == True:
                            $ Body = "Body10"
                "Scarves" if BodyScarf == True:
                    menu:
                        "Black Scarf" if body11a == True:
                            $ Body = "Body11a"
                        "White Scarf" if body11b == True:
                            $ Body = "Body11b"
                        "Red Scarf" if body11c == True:
                            $ Body = "Body11c"
                        "Yellow Scarf" if body11d == True:
                            $ Body = "Body11d"
                        "Green Scarf" if body11e == True:
                            $ Body = "Body11e"
                        "Blue Scarf" if body11f == True:
                            $ Body = "Body11f"
                        "Purple Scarf" if body11g == True:
                            $ Body = "Body11g"
                "Collar" if body12 == True:
                    $ Body = "Body12"
                "1st Place Ribbon" if persistent.st == True:
                    $ Body = "Body1st"
                "2nd Place Ribbon" if persistent.nd == True:
                    $ Body = "Body2nd"
                "3rd Place Ribbon" if persistent.rd == True:
                    $ Body = "Body3rd"
                "Never mind...":
                    jump Home    
        if age == "Cutie":
            menu:
                "Wings" if BodyWing == True:
                    menu:
                        "Angel Wings" if body1a == True:
                            $ Body = "Body_1"
                        "Owl Wings" if body1b == True:
                            $ Body = "Body_2"
                        "Cute Silver Wings" if body2a == True:
                            $ Body = "Body_3"
                        "Cute Gold Wings" if body2b == True:
                            $ Body = "Body_4"
                        "Bat Wings" if body3 == True:
                            $ Body = "Body_5"
                        "Yellow Fairy Wings" if body4a == True:
                            $ Body = "Body_6a"
                        "Pink Fairy Wings" if body4b == True:
                            $ Body = "Body_6b"
                        "Blue Fairy Wings" if body4c == True:
                            $ Body = "Body_6c"
                "Scarves" if BodyScarf == True:
                    menu:
                        "Black Scarf" if body11a == True:
                            $ Body = "Body_7a"
                        "White Scarf" if body11b == True:
                            $ Body = "Body_7b"
                        "Red Scarf" if body11c == True:
                            $ Body = "Body_7c"
                        "Yellow Scarf" if body11d == True:
                            $ Body = "Body_7d"
                        "Green Scarf" if body11e == True:
                            $ Body = "Body_7e"
                        "Blue Scarf" if body11f == True:
                            $ Body = "Body_7f"
                        "Purple Scarf" if body11g == True:
                            $ Body = "Body_7g"
                "1st Place Ribbon" if persistent.st == True:
                    $ Body = "Body_1st"
                "2nd Place Ribbon" if persistent.nd == True:
                    $ Body = "Body_2nd"
                "3rd Place Ribbon" if persistent.rd == True:
                    $ Body = "Body_3rd"
                "Never mind...":
                    jump Home   
            jump Home
        if age == "Baby":
            menu:
                "Wings" if BodyWing == True:
                    menu:
                        "Angel Wings" if body1a == True:
                            $ Body = "Body__1"
                        "Owl Wings" if body1b == True:
                            $ Body = "Body__2"
                        "Cute Silver Wings" if body2a == True:
                            $ Body = "Body__3"
                        "Cute Gold Wings" if body2b == True:
                            $ Body = "Body__4"
                        "Bat Wings" if body3 == True:
                            $ Body = "Body__5"
                        "Yellow Fairy Wings" if body4a == True:
                            $ Body = "Body__6a"
                        "Pink Fairy Wings" if body4b == True:
                            $ Body = "Body__6b"
                        "Blue Fairy Wings" if body4c == True:
                            $ Body = "Body__6c"
                "1st Place Ribbon" if persistent.st == True:
                    $ Body = "Body__1st"
                "2nd Place Ribbon" if persistent.nd == True:
                    $ Body = "Body__2nd"
                "3rd Place Ribbon" if persistent.rd == True:
                    $ Body = "Body__3rd"
                "Never mind...":
                    jump Home   
        jump Home
    if result == "Reset":
        "Clear dress up?"
        menu:
            "Yes":
                $ Head = "None"
                $ Face = "None"
                $ Body = "None"
                show Hat at Position(xanchor =0.5, yanchor =0.5, xpos =221, ypos =223)
                show Mask at Position(xanchor =0.5, yanchor =0.5, xpos =221, ypos =223)
                show Suit at Position(xanchor =0.5, yanchor =0.5, xpos =215, ypos =252)
                jump Home
            "No":
                jump Home
    if result == "Main":
        "Are you sure you would like to return to the main menu?"
        "All unsaved data will be lost..."
        menu:
            "YES":
                "Good bye!"
                return
            "NO":
                jump Home
    if result == "Orchard":
        $ show_watts = False
        $ show_energy = False
        $ show_generation = False
        $ show_reputation = False
        $ show_brain = False
        $ show_body = False
        jump Orchardhome
    if result == "Explore":
        $ show_watts = False
        $ show_energy = False
        $ show_generation = False
        $ show_reputation = False
        $ show_brain = False
        $ show_body = False
        jump Explore
    if result == "Blender":
        $ show_watts = False
        $ show_energy = False
        $ show_generation = False
        $ show_reputation = False
        $ show_brain = False
        $ show_body = False
        jump blender
    if result == "Bag":
        $ show_watts = False
        $ show_energy = False
        $ show_generation = False
        $ show_reputation = False
        $ show_brain = False
        $ show_body = False
        call Bag
        jump colorcheck
    if result == "Recharge":
        if Sprout1 != "None" and Head == "Hat__12" or Head == "Hat_13" or Head == "Hat10":
            if Sprout1 == "CherryC":
                $ Sprout1 = "CherryD"
            if Sprout1 == "StrawC":
                $ Sprout1 = "StrawD"
            if Sprout1 == "OrangeC":
                $ Sprout1 = "OrangeD"
            if Sprout1 == "CherryB":
                $ Sprout1 = "CherryD"
            if Sprout1 == "StrawB":
                $ Sprout1 = "StrawD"
            if Sprout1 == "OrangeB":
                $ Sprout1 = "OrangeD"
            if Sprout1 == "CherryA":
                $ Sprout1 = "CherryC"
            if Sprout1 == "StrawA":
                $ Sprout1 = "StrawC"
            if Sprout1 == "OrangeA":
                $ Sprout1 = "OrangeC"
        if Sprout1 != "None" and Head != "Hat__12" and Head != "Hat_13" and Head != "Hat10":
            if Sprout1 == "CherryC":
                $ Sprout1 = "CherryD"
            if Sprout1 == "StrawC":
                $ Sprout1 = "StrawD"
            if Sprout1 == "OrangeC":
                $ Sprout1 = "OrangeD"
            if Sprout1 == "CherryB":
                $ Sprout1 = "CherryC"
            if Sprout1 == "StrawB":
                $ Sprout1 = "StrawC"
            if Sprout1 == "OrangeB":
                $ Sprout1 = "OrangeC"
            if Sprout1 == "CherryA":
                $ Sprout1 = "CherryB"
            if Sprout1 == "StrawA":
                $ Sprout1 = "StrawB"
            if Sprout1 == "OrangeA":
                $ Sprout1 = "OrangeB"
        if Sprout2 != "None" and Head == "Hat__12" or Head == "Hat_13" or Head == "Hat10":
            if Sprout2 == "CherryC":
                $ Sprout2 = "CherryD"
            if Sprout2 == "StrawC":
                $ Sprout2 = "StrawD"
            if Sprout2 == "OrangeC":
                $ Sprout2 = "OrangeD"
            if Sprout2 == "CherryB":
                $ Sprout2 = "CherryD"
            if Sprout2 == "StrawB":
                $ Sprout2 = "StrawD"
            if Sprout2 == "OrangeB":
                $ Sprout2 = "OrangeD"
            if Sprout2 == "CherryA":
                $ Sprout2 = "CherryC"
            if Sprout2 == "StrawA":
                $ Sprout2 = "StrawC"
            if Sprout2 == "OrangeA":
                $ Sprout2 = "OrangeC"
        if Sprout2 != "None" and Head != "Hat__12" and Head != "Hat_13" and Head != "Hat10":
            if Sprout2 == "CherryC":
                $ Sprout2 = "CherryD"
            if Sprout2 == "StrawC":
                $ Sprout2 = "StrawD"
            if Sprout2 == "OrangeC":
                $ Sprout2 = "OrangeD"
            if Sprout2 == "CherryB":
                $ Sprout2 = "CherryC"
            if Sprout2 == "StrawB":
                $ Sprout2 = "StrawC"
            if Sprout2 == "OrangeB":
                $ Sprout2 = "OrangeC"
            if Sprout2 == "CherryA":
                $ Sprout2 = "CherryB"
            if Sprout2 == "StrawA":
                $ Sprout2 = "StrawB"
            if Sprout2 == "OrangeA":
                $ Sprout2 = "OrangeB"
        if Sprout3 != "None" and Head == "Hat__12" or Head == "Hat_13" or Head == "Hat10":
            if Sprout3 == "CherryC":
                $ Sprout3 = "CherryD"
            if Sprout3 == "StrawC":
                $ Sprout3 = "StrawD"
            if Sprout3 == "OrangeC":
                $ Sprout3 = "OrangeD"
            if Sprout3 == "CherryB":
                $ Sprout3 = "CherryD"
            if Sprout3 == "StrawB":
                $ Sprout3 = "StrawD"
            if Sprout3 == "OrangeB":
                $ Sprout3 = "OrangeD"
            if Sprout3 == "CherryA":
                $ Sprout3 = "CherryC"
            if Sprout3 == "StrawA":
                $ Sprout3 = "StrawC"
            if Sprout3 == "OrangeA":
                $ Sprout3 = "OrangeC"
        if Sprout3 != "None" and Head != "Hat__12" and Head != "Hat_13" and Head != "Hat10":
            if Sprout3 == "CherryC":
                $ Sprout3 = "CherryD"
            if Sprout3 == "StrawC":
                $ Sprout3 = "StrawD"
            if Sprout3 == "OrangeC":
                $ Sprout3 = "OrangeD"
            if Sprout3 == "CherryB":
                $ Sprout3 = "CherryC"
            if Sprout3 == "StrawB":
                $ Sprout3 = "StrawC"
            if Sprout3 == "OrangeB":
                $ Sprout3 = "OrangeC"
            if Sprout3 == "CherryA":
                $ Sprout3 = "CherryB"
            if Sprout3 == "StrawA":
                $ Sprout3 = "StrawB"
            if Sprout3 == "OrangeA":
                $ Sprout3 = "OrangeB"
        if Sprout4 != "None" and Head == "Hat__12" or Head == "Hat_13" or Head == "Hat10":
            if Sprout4 == "CherryC":
                $ Sprout4 = "CherryD"
            if Sprout4 == "StrawC":
                $ Sprout4 = "StrawD"
            if Sprout4 == "OrangeC":
                $ Sprout4 = "OrangeD"
            if Sprout4 == "CherryB":
                $ Sprout4 = "CherryD"
            if Sprout4 == "StrawB":
                $ Sprout4 = "StrawD"
            if Sprout4 == "OrangeB":
                $ Sprout4 = "OrangeD"
            if Sprout4 == "CherryA":
                $ Sprout4 = "CherryC"
            if Sprout4 == "StrawA":
                $ Sprout4 = "StrawC"
            if Sprout4 == "OrangeA":
                $ Sprout4 = "OrangeC"
        if Sprout4 != "None" and Head != "Hat__12" and Head != "Hat_13" and Head != "Hat10":
            if Sprout4 == "CherryC":
                $ Sprout4 = "CherryD"
            if Sprout4 == "StrawC":
                $ Sprout4 = "StrawD"
            if Sprout4 == "OrangeC":
                $ Sprout4 = "OrangeD"
            if Sprout4 == "CherryB":
                $ Sprout4 = "CherryC"
            if Sprout4 == "StrawB":
                $ Sprout4 = "StrawC"
            if Sprout4 == "OrangeB":
                $ Sprout4 = "OrangeC"
            if Sprout4 == "CherryA":
                $ Sprout4 = "CherryB"
            if Sprout4 == "StrawA":
                $ Sprout4 = "StrawB"
            if Sprout4 == "OrangeA":
                $ Sprout4 = "OrangeB"
        if age == "Baby":
            $ energy = watts * 2
            $ age = "Cutie"
            if Head == "Hat__1a":
                $ Head = "Hat_1a"
            if Head == "Hat__1b":
                $ Head = "Hat_1b"
            if Head == "Hat__1c":
                $ Head = "Hat_1c"
            if Head == "Hat__1d":
                $ Head = "Hat_1d"
            if Head == "Hat__1e":
                $ Head = "Hat_1e"
            if Head == "Hat__2":
                $ Head = "Hat_2"
            if Head == "Hat__3":
                $ Head = "Hat_3"
            if Head == "Hat__4":
                $ Head = "Hat_4"
            if Head == "Hat__5a":
                $ Head = "Hat_5a"
            if Head == "Hat__5b":
                $ Head = "Hat_5b"
            if Head == "Hat__5c":
                $ Head = "Hat_5c"
            if Head == "Hat__5d":
                $ Head = "Hat_5d"
            if Head == "Hat__5e":
                $ Head = "Hat_5e"
            if Head == "Hat__5f":
                $ Head = "Hat_5f"
            if Head == "Hat__6":
                $ Head = "Hat_6"
            if Head == "Hat__7":
                $ Head = "Hat_7"
            if Head == "Hat__8a":
                $ Head = "Hat_8a"
            if Head == "Hat__8b":
                $ Head = "Hat_8b"
            if Head == "Hat__8c":
                $ Head = "Hat_8c"
            if Head == "Hat__8d":
                $ Head = "Hat_8d"
            if Head == "Hat__8e":
                $ Head = "Hat_8e"
            if Head == "Hat__9":
                $ Head = "Hat_9a"
            if Head == "Hat__10":
                $ Head = "Hat_10"
            if Head == "Hat__11":
                $ Head = "Hat_11"
            if Head == "Hat__12":
                $ Head = "Hat_13"
            if Head == "Hat__13":
                $ Head = "Hat_14"
            if Face == "Mask__1":
                $ Face = "Mask_1"
            if Face == "Mask__2":
                $ Face = "Mask_2"
            if Face == "Mask__3":
                $ Face = "Mask_3"
            if Face == "Mask__4":
                $ Face = "Mask_4"
            if Face == "Mask__5":
                $ Face = "Mask_5"
            if Face == "Mask__6a":
                $ Face = "Mask_6a"
            if Face == "Mask__6b":
                $ Face = "Mask_6b"
            if Face == "Mask__6c":
                $ Face = "Mask_6c"
            if Face == "Mask__6d":
                $ Face = "Mask_6d"
            if Body == "Body__1":
                $ Body = "Body_1"
            if Body == "Body__2":
                $ Body = "Body_2"
            if Body == "Body__3":
                $ Body = "Body_3"
            if Body == "Body__4":
                $ Body = "Body_4"
            if Body == "Body__5":
                $ Body = "Body_5"
            if Body == "Body__6a":
                $ Body = "Body_6a"
            if Body == "Body__6b":
                $ Body = "Body_6b"
            if Body == "Body__6c":
                $ Body = "Body_6c"
            if Body == "Body__1st":
                $ Body = "Body_1st"
            if Body == "Body__2nd":
                $ Body = "Body_2nd"
            if Body == "Body__3rd":
                $ Body = "Body_3rd"
            jump colorcheck
        if age == "Cutie":
            $ energy = watts * 2
            $ age = "Mini"
            if Head == "Hat_1a":
                $ Head = "Hat4"
            if Head == "Hat_1b":
                $ Head = "Hat5"
            if Head == "Hat_1c":
                $ Head = "Hat6"
            if Head == "Hat_1d":
                $ Head = "Hat7"
            if Head == "Hat_1e":
                $ Head = "Hat8"
            if Head == "Hat_2":
                $ Head = "Hat1"
            if Head == "Hat_3":
                $ Head = "Hat3"
            if Head == "Hat_4":
                $ Head = "Hat2"
            if Head == "Hat_5a":
                $ Head = "Hat9a"
            if Head == "Hat_5b":
                $ Head = "Hat9b"
            if Head == "Hat_5c":
                $ Head = "Hat9c"
            if Head == "Hat_5d":
                $ Head = "Hat9d"
            if Head == "Hat_5e":
                $ Head = "Hat9e"
            if Head == "Hat_5f":
                $ Head = "Hat9f"
            if Head == "Hat_6":
                $ Head = "Hat22"
            if Head == "Hat_7":
                $ Head = "Hat21"
            if Head == "Hat_8a":
                $ Head = "Hat20a"
            if Head == "Hat_8b":
                $ Head = "Hat20b"
            if Head == "Hat_8c":
                $ Head = "Hat20c"
            if Head == "Hat_8d":
                $ Head = "Hat20d"
            if Head == "Hat_8e":
                $ Head = "Hat20e"
            if Head == "Hat_9a":
                $ Head = "Hat9f"
            if Head == "Hat_9b":
                $ Head = "Hat9a"
            if Head == "Hat_9c":
                $ Head = "Hat9b"
            if Head == "Hat_10":
                $ Head = "Hat15"
            if Head == "Hat_11":
                $ Head = "Hat17"
            if Head == "Hat_12":
                $ Head = "Hat18"
            if Head == "Hat_13":
                $ Head = "Hat10"
            if Head == "Hat_14":
                $ Head = "Hat11"
            if Face == "Mask_1":
                $ Face = "Mask3"
            if Face == "Mask_2":
                $ Face = "Mask5"
            if Face == "Mask_3":
                $ Face = "Mask9"
            if Face == "Mask_4":
                $ Face = "Mask10"
            if Face == "Mask_5":
                $ Face = "Mask11"
            if Face == "Mask_6a":
                $ Face = "Mask12a"
            if Face == "Mask_6b":
                $ Face = "Mask12b"
            if Face == "Mask_6c":
                $ Face = "Mask12c"
            if Face == "Mask_6d":
                $ Face = "Mask12d"
            if Body == "Body_1":
                $ Body = "Body1a"
            if Body == "Body_2":
                $ Body = "Body1b"
            if Body == "Body_3":
                $ Body = "Body2a"
            if Body == "Body_4":
                $ Body = "Body2b"
            if Body == "Body_5":
                $ Body = "Body3"
            if Body == "Body_6a":
                $ Body = "Body4a"
            if Body == "Body_6b":
                $ Body = "Body4b"
            if Body == "Body_6c":
                $ Body = "Body4c"
            if Body == "Body_7a":
                $ Body = "Body11a"
            if Body == "Body_7b":
                $ Body = "Body11b"
            if Body == "Body_7c":
                $ Body = "Body11c"
            if Body == "Body_7d":
                $ Body = "Body11d"
            if Body == "Body_7e":
                $ Body = "Body11e"
            if Body == "Body_7f":
                $ Body = "Body11f"
            if Body == "Body_7g":
                $ Body = "Body11g"
            if Body == "Body_1st":
                $ Body = "Body1st"
            if Body == "Body_2nd":
                $ Body = "Body2nd"
            if Body == "Body_3rd":
                $ Body = "Body3rd"
            jump colorcheck
        if age == "Mini":
            $ Surprise = False
            $ energy = watts * 2
            $ generation += 1
            $ age = "Baby"
            $ Head = "None"
            $ Face = "None"
            $ Body = "None"
            $ show_watts = False
            $ show_energy = False
            $ show_generation = False
            $ show_reputation = False
            $ show_brain = False
            $ show_body = False
            $ BotAdd = "0"
            $ BotColor = "None"
            $ money += 5
            jump Start
        jump Home
        
label Orchardhome:
        scene Orchard
label OrchardHome:
        show plant1 at Position(xanchor =0.5, yanchor =1.0, xpos =200, ypos =370)
        show plant2 at Position(xanchor =0.5, yanchor =1.0, xpos =332, ypos =370)
        show plant3 at Position(xanchor =0.5, yanchor =1.0, xpos =462, ypos =370)
        show plant4 at Position(xanchor =0.5, yanchor =1.0, xpos =592, ypos =370)
        $ result = renpy.imagemap("Orchard1.png", "Orchard2.png", [
            (55, 470, 258, 568, "Plant"),
            (290, 470, 490, 568, "Harvest"),
            (522, 470, 725, 568, "Back"),
            ], overlays = True)
        
        if result == "Plant":
            if energy > 0:
                menu:
                        "Plant Cherries" if Seeds_C > 0:
                            $ Seeds_C -= 1
                            menu:
                                 "Space 1" if Sprout1 == "None":
                                        $ Sprout1 = "CherryA"
                                 "Space 2" if Sprout2 == "None":
                                        $ Sprout2 = "CherryA"
                                 "Space 3" if Sprout3 == "None":
                                        $ Sprout3 = "CherryA"
                                 "Space 4" if Sprout4 == "None":
                                        $ Sprout4 = "CherryA"
                                 "Never mind":
                                        jump OrchardHome
                            $ energy -= 1
                            jump OrchardHome
                        "Plant Strawberries" if Seeds_S > 0:
                            menu:
                                 "Space 1" if Sprout1 == "None":
                                        $ Sprout1 = "StrawA"
                                 "Space 2" if Sprout2 == "None":
                                        $ Sprout2 = "StrawA"
                                 "Space 3" if Sprout3 == "None":
                                        $ Sprout3 = "StrawA"
                                 "Space 4" if Sprout4 == "None":
                                        $ Sprout4 = "StrawA"
                                 "Never mind":
                                        jump OrchardHome
                            $ Seeds_S -= 1
                            if C_B3 == False:
                                $ C_B3 = True
                            $ energy -= 1
                            jump OrchardHome
                        "Plant Oranges" if Seeds_O > 0:
                            $ Seeds_O -= 1
                            menu:
                                 "Space 1" if Sprout1 == "None":
                                        $ Sprout1 = "OrangeA"
                                 "Space 2" if Sprout2 == "None":
                                        $ Sprout2 = "OrangeA"
                                 "Space 3" if Sprout3 == "None":
                                        $ Sprout3 = "OrangeA"
                                 "Space 4" if Sprout4 == "None":
                                        $ Sprout4 = "OrangeA"
                                 "Never mind":
                                      jump OrchardHome
                            $ energy -= 1
                            jump OrchardHome
                        "Never mind...":
                            jump OrchardHome
            if energy == 0:
                "You don't have enough energy!"
                jump OrchardHome
        if result == "Harvest":
            if energy >= 2:
                if Sprout1 == "CherryD":
                    $ Cherry += 3
                    $ Sprout1 = "None"
                if Sprout1 == "StrawD":
                    $ Strawberry += 3
                    $ Sprout1 = "None"
                if Sprout1 == "OrangeD":
                    $ Orange += 3
                    $ Sprout1 = "None"
                if Sprout2 == "CherryD":
                    $ Cherry += 3
                    $ Sprout2 = "None"
                if Sprout2 == "StrawD":
                    $ Strawberry += 3
                    $ Sprout2 = "None"
                if Sprout2 == "OrangeD":
                    $ Orange += 3
                    $ Sprout2 = "None"
                if Sprout3 == "CherryD":
                    $ Cherry += 3
                    $ Sprout3 = "None"
                if Sprout3 == "StrawD":
                    $ Strawberry += 3
                    $ Sprout3 = "None"
                if Sprout3 == "OrangeD":
                    $ Orange += 3
                    $ Sprout3 = "None"
                if Sprout4 == "CherryD":
                    $ Cherry += 3
                    $ Sprout4 = "None"
                if Sprout4 == "StrawD":
                    $ Strawberry += 3
                    $ Sprout4 = "None"
                if Sprout4 == "OrangeD":
                    $ Orange += 3
                    $ Sprout4 = "None"
                $ energy -= 2
                jump OrchardHome
            if energy == 0:
                "You don't have enough energy!"
                jump OrchardHome
        if result == "Back":
            jump colorcheck
            
label Explore:
    scene Explore
    $ result = renpy.imagemap("Explore.png", "ExploreHover.png", [
        (60, 140, 273, 335, "Shop"),
        (292, 142, 500, 335, "DownTown"),
        (518, 144, 732, 337, "Challenges"),
        (210, 362, 585, 444, "Back"),
        ], focus="imagemap")
    
    if result == "Shop":
        label Store:
        scene Store
        $ show_money = True
        $ result = renpy.imagemap("Store1.png", "Store2.png", [
            (125, 39, 210, 135, "SeedC"),
            (210, 39, 298, 135, "SeedS"),
            (300, 39, 388, 135, "SeedO"),
            (410, 58, 479, 137, "Cherry"),
            (490, 69, 536, 137, "Strawberry"),
            (542, 40, 622, 137, "Orange"),
            (657, 32, 750, 137, "Disk"),
            (268, 140, 334, 202, "BlackScarf"),
            (336, 140,401, 202, "WhiteScarf"),
            (408, 140, 471, 202, "RedScarf"),
            (482, 140, 574, 202, "YellowScarf"),
            (559, 140, 624, 202, "GreenScarf"),
            (645, 140, 706, 202, "BlueScarf"),
            (720, 140, 783, 202, "PurpleScarf"),
            (138, 215, 281, 284, "BlackHP"),
            (293, 215, 436, 284, "RedHP"),
            (444, 215, 588, 284, "YellowHP"),
            (138, 284, 280, 350, "GreenHP"),
            (295, 284, 435, 350, "BlueHP"),
            (446, 284, 588, 350, "PurpleHP"),
            (626, 224, 751, 288, "PilotGoggles"),
            (124, 387, 176, 442, "RedB"),
            (176, 387, 222, 442, "YellowB"),
            (222, 387, 270, 442, "GreenB"),
            (270, 387, 317, 442, "BlueB"),
            (317, 387, 364, 442, "PurpleB"),
            (364, 387, 411, 442, "BlackB"),
            (426, 362, 474, 433, "PartyHat"),
            (485, 362, 544, 433, "TopHat"),
            (559, 373, 626, 433, "Crown"),
            (634, 371, 775, 455, "NinjaMask"),
            (312, 480, 465, 568, "Bag"),
            (560, 490, 770, 570, "Back"),
            ], overlays = True)
        if result == "SeedC":
            if money > 4:
                $ Seeds_C += 1
                $ money -= 5
            else:
                "You don't have enough money!"
            jump Store
        if result == "SeedS":
            if money > 4:
                $ Seeds_S += 1
                $ money -= 5
            else:
                "You don't have enough money!"
            jump Store
        if result == "SeedO":
            if money > 4:
                $ Seeds_O += 1
                $ money -= 5
            else:
                "You don't have enough money!"
            jump Store
        if result == "Cherry":
            if money >4:
                $ Cherry += 1
                $ money -= 5
            else:
                "You don't have enough money!"
            jump Store
        if result == "Strawberry":
            if money > 4:
                $ Strawberry += 1
                $ money -= 5
            else:
                "You don't have enough money!"
            jump Store
        if result == "Orange":
            if money > 4:
                $ Orange += 1
                $ money -= 5
            else:
                "You don't have enough money!"
            jump Store
        if result == "Disk":
            if Blah == True:
                "You already bought the disk!"
                "Go to your bag to view it."
            if Blah == False:
                if money > 349:
                    "You bought a Disk!"
                    "Go to your bag to view it."
                    $ HintDisk = True
                    $ Blah = True
                    $ money -= 350
                else:
                    "You don't have enough money!"
                jump Store
        if result == "BlackScarf":
            if body11a == True:
                "You already have a Black Scarf!"
            if body11a == False:
                if money > 14:
                    "You bought a Black Scarf!"
                    $ money -= 15
                    $ body11a = True
                    $ BodyScarf = True
                else:
                    "You don't have enough money!"
            jump Store
        if result == "WhiteScarf":
            if body11b == True:
                "You already have a White Scarf!"
            if body11b == False:
                if money > 14:
                    "You bought a White Scarf!"
                    $ money -= 15
                    $ body11b = True
                    $ BodyScarf = True
                else:
                    "You don't have enough money!"
            jump Store
        if result == "RedScarf":
            if body11c == True:
                "You already have a Red Scarf!"
            if body11c == False:
                if money > 14:
                    "You bought a Red Scarf!"
                    $ money -= 15
                    $ body11c = True
                    $ BodyScarf = True
                else:
                    "You don't have enough money!"
            jump Store
        if result == "YellowScarf":
            if body11d == True:
                "You already have a Yellow Scarf!"
            if body11d == False:
                if money > 14:
                    "You bought a Yellow Scarf!"
                    $ money -= 15
                    $ body11d = True
                    $ BodyScarf = True
                else:
                    "You don't have enough money!"
            jump Store
        if result == "GreenScarf":
            if body11e == True:
                "You already have a Green Scarf!"
            if body11e == False:
                if money > 14:
                    "You bought a Green Scarf!"
                    $ money -= 15
                    $ body11e = True
                    $ BodyScarf = True
                else:
                    "You don't have enough money!"
            jump Store
        if result == "BlueScarf":
            if body11f == True:
                "You already have a Blue Scarf!"
            if body11f == False:
                if money > 14:
                    "You bought a Blue Scarf!"
                    $ money -= 15
                    $ body11f = True
                    $ BodyScarf = True
                else:
                    "You don't have enough money!"
            jump Store
        if result == "PurpleScarf":
            if body11g == True:
                "You already have a Purple Scarf!"
            if body11g == False:
                if money > 14:
                    "You bought a Purple Scarf!"
                    $ money -= 15
                    $ body11g = True
                    $ BodyScarf = True
                else:
                    "You don't have enough money!"
            jump Store
        if result == "BlackHP":
            if hat12f == True:
                "You already have Black Head Phones!"
            if hat12f == False:
                if money > 49:
                    "You bought Black Head Phones!"
                    $ money -= 50
                    $ hat12f = True
                    $ HatHeadPhone = True
                else:
                    "You don't have enough money!"
            jump Store
        if result == "RedHP":
            if hat12a == True:
                "You already have Red Head Phones!"
            if hat12a == False:
                if money > 49:
                    "You bought Red Head Phones!"
                    $ money -= 50
                    $ hat12a = True
                    $ HatHeadPhone = True
                else:
                    "You don't have enough money!"
            jump Store
        if result == "YellowHP":
            if hat12b == True:
                "You already have Yellow Head Phones!"
            if hat12b == False:
                if money > 49:
                    "You bought Yellow HeadPhones"
                    $ money -= 50
                    $ hat12b = True
                    $ HatHeadPhone = True
                else:
                    "You don't have enough money!"
            jump Store
        if result == "GreenHP":
            if hat12c == True:
                "You already have Green Head Phones!"
            if hat12c == False:
                if money > 49:
                    "You bought Green Head Phones"
                    $ money -= 50
                    $ hat12c = True
                    $ HatHeadPhone = True
                else:
                    "You don't have enough money!"
            jump Store
        if result == "BlueHP":
            if hat12d == True:
                "You already have Blue Head Phones!"
            if hat12d == False:
                if money > 49:
                    "You bought Blue Head Phones!"
                    $ money -= 50
                    $ hat12d = True
                    $ HatHeadPhone = True
                else:
                    "You don't have enough money!"
            jump Store
        if result == "PurpleHP":
            if hat12e == True:
                "You already have Purple Head Phones!"
            if hat12e == False:
                if money > 49:
                    "You bought Purple Head Phones"
                    $ money -= 50
                    $ hat12e = True
                    $ HatHeadPhone = True
                else:
                    "You don't have enough money!"
            jump Store
        if result == "PilotGoggles":
            if mask1 == True:
                "You already have Pilot Goggles!"
            if mask1 == False:
                if money > 49:
                    "You bought Pilot Goggles"
                    $ money -= 50
                    $ mask1 = True
                else:
                    "You don't have enough money!"
            jump Store
        if result == "RedB":
            if hat9a == True:
                "You already have a Red Bow!"
            if hat9a == False:
                if money > 9:
                    "You bought a Red Bow!"
                    $ money -= 10
                    $ hat9a = True
                    $ HatBow = True
                else:
                    "You don't have enough money!"
            jump Store
        if result == "YellowB":
            if hat9b == True:
                "You already have a Yellow Bow!"
            if hat9b == False:
                if money > 9:
                    "You bought a Yellow Bow"
                    $ money -= 10
                    $ hat9b = True
                    $ HatBow = True
                else:
                    "You don't have enough money!"
            jump Store
        if result == "GreenB":
            if hat9c == True:
                "You already have a Green Bow!"
            if hat9c == False:
                if money > 9:
                    "You bought a Green Bow"
                    $ money -= 10
                    $ hat9c = True
                    $ HatBow = True
                else:
                    "You don't have enough money!"
            jump Store
        if result == "BlueB":
            if hat9d == True:
                "You already have a Blue Bow!"
            if hat9d == False:
                if money > 9:
                    "You bought a Blue Bow!"
                    $ money -= 10
                    $ hat9d = True
                    $ HatBow = True
                else:
                    "You don't have enough money!"
            jump Store
        if result == "PurpleB":
            if hat9e == True:
                "You already have a Purple Bow!"
            if hat9e == False:
                if money > 9:
                    "You bought a Purple Bow"
                    $ money -= 10
                    $ hat9e = True
                    $ HatBow = True
                else:
                    "You don't have enough money!"
            jump Store
        if result == "BlackB":
            if hat9f == True:
                "You already have a Black Bow!"
            if hat9f == False:
                if money > 9:
                    "You bought a Black Bow!"
                    $ money -= 10
                    $ hat9f = True
                    $ HatBow = True
                else:
                    "You don't have enough money!"
            jump Store
        if result == "PartyHat":
            if hat1 == True:
                "You already have a Party Hat!"
            if hat1 == False:
                if money > 19:
                    "You bought a Party Hat!"
                    $ money -= 20
                    $ hat1 = True
                else:
                    "You don't have enough money!"
            jump Store
        if result == "TopHat":
            if hat2 == True:
                "You already have a Top Hat!"
            if hat2 == False:
                if money > 19:
                    "You bought a Top Hat"
                    $ money -= 20
                    $ hat2 = True
                    if C_B1 == False:
                        $ C_B1 = True
                else:
                    "You don't have enough money!"
            jump Store
        if result == "Crown":
            if hat10 == True:
                "You already have a Crown!"
            if hat10 == False:
                if money > 99:
                    "You bought a Crown!"
                    $ money -= 100
                    $ hat10 = True
                else:
                    "You don't have enough money!"
            jump Store
        if result == "NinjaMask":
            if mask2 == True:
                "You already have a Ninja Mask!"
            if mask2 == False:
                if money > 49:
                    "You bought a Ninja Mask!"
                    $ money -= 50
                    $ mask2 = True
                else:
                    "You don't have enough money!"
            jump Store
        if result == "Bag":
            call Bag
            jump Store
        if result == "Back":
            $ show_money = False
            jump Explore
    if result == "DownTown":
        if Head == "Hat__8c" or Head == "Hat_8c" or Head == "Hat20c":
            jump Nickel
        if age == "Baby":
            if energy >= 5:
                "You are a BabyBot, so you can go to the Sandbox!"
                $ energy -= 5
                jump Sand
            if energy < 5:
                "You don't have enough energy!"
                jump Explore
        if age == "Cutie":
            if energy >= 5:
                "You are a CutieBot... time for school!"
                $ energy -= 5
                jump School
            if energy < 5:
                "You don't have enough energy!"
                jump Explore
        if age == "Mini":
            if energy >= 5:
                jump DT
            if energy < 5:
                "You don't have enough energy!"
                jump Explore
    if result == "Challenges":
        "Please choose a challenge from the list:"
        if C_MeetB1 == True and C_B4 == False:
            $ C_B4 = True
        if C_MeetB2 == True and C_B4 == False:
            $ C_B4 = True
        if C_MeetB3 == True and C_B4 == False:
            $ C_B4 = True
        if C_MeetB4 == True and C_B4 == False:
            $ C_B4 = True
        if C_MeetC1 == True and C_B5 == False:
            $ C_B5 = True
        if C_MeetC2 == True and C_B5 == False:
            $ C_B5 = True
        if C_MeetC3 == True and C_B5 == False:
            $ C_B5 = True
        if C_MeetC4 == True and C_B5 == False:
            $ C_B5 = True
        if C_Mix == True and C_B6 == False:
            $ C_B6 = True
        if C_MeetB1 == True and C_MeetB2 == True and C_MeetB3 == True and C_MeetB4 == True and C_Beg1 == False: 
            $ C_Beg1 = True
        if C_MeetC1 == True and C_MeetC2 == True and C_MeetC3 == True and C_MeetC4 == True and C_Beg2 == False: 
            $ C_Beg2 = True
        if BodyScarf == True and C_Beg3 == False:
            $ C_Beg3 = True
        if reputation > 25 and C_Beg4 == False:
            $ C_Beg4 = True
        if brain > 25 and C_Beg5 == False:
            $ C_Beg5 = True
        if body > 25 and C_Beg6 == False:
            $ C_Beg6 = True
        if Friend1 >= 10 and C_Ad1 == False:
            $ C_Ad1 = True
        if Friend2 >= 10 and C_Ad1 == False:
            $ C_Ad1 = True
        if Friend3 >= 10 and C_Ad1 == False:
            $ C_Ad1 = True
        if Friend4 >= 10 and C_Ad1 == False:
            $ C_Ad1 = True
        if Friend5 >= 10 and C_Ad2 == False:
            $ C_Ad2 = True
        if Friend6 >= 10 and C_Ad2 == False:
            $ C_Ad2 = True
        if Friend7 >= 10 and C_Ad2 == False:
            $ C_Ad2 = True
        if Friend8 >= 10 and C_Ad2 == False:
            $ C_Ad2 = True
        if S >= 10 and C_Ad3 == False:
            $ C_Ad3 = True
        if reputation > 75 and C_Ad4 == False:
            $ C_Ad4 = True
        if brain > 75 and C_Ad5 == False:
            $ C_Ad5 = True
        if body > 75 and C_Ad6 == False:
            $ C_Ad6 = True
        if Friend1 >= 10 and Friend2 >= 10 and Friend3 >= 10 and Friend4 >= 10 and C_E1 == False:
            $ C_E1 = True
        if Friend5 >= 10 and Friend6 >= 10 and Friend7 >= 10 and Friend8 >= 10 and C_E2 == False:
            $ C_E2 = True
        if Cherry >= 50 and C_E3 == False:
            $ C_E3 = True
        if Strawberry >= 50 and C_E4 == False:
            $ C_E4 = True
        if Orange >= 50 and C_E5 == False:
            $ C_E5 = True
        if reputation > 125 and C_E6 == False:
            $ C_E6 = True
        if brain > 125 and C_E7 == False:
            $ C_E7 = True
        if body > 125 and C_E8 == False:
            $ C_E8 = True
        
        menu:
            "Basic Challenges":
                menu:
                    "Basic:  Buy a Top Hat from the store" if C_B1 == False:
                            "To complete this challenge, you must buy the black Top Hat from the store."
                            "REWARD: Antenna and TV-Screen"
                    "DONE!  *Click here to claim the reward*" if C_B1 == True:
                            "Congratulations!  You beat the 'Buy a Top Hat' Challenge!  The Antenna and the TV-Screen are now available in the Dress Up menu."
                            $ C_B1 = "Done"
                            $ hat15 = True
                            $ body6 = True
                    "Basic:  Make an Orange Smoothie" if C_B2 == False:
                            "To complete this challenge, you must make an Orange Smoothie."
                            "REWARD: Halo"
                    "DONE! *Click here to clain the reward*" if C_B2 == True:
                            "Congratulations!  You beat the 'Make an Orange Smoothie' Challenge!  A Halo is now available in the Dress Up menu."
                            $ C_B2 = "Done"
                            $ hat3 = True
                    "Basic:  Plant a Strawberry Seed" if C_B3 == False:
                            "To complete this challenge, you must plant a Strawberry Seed."
                            "REWARD: Monocle"
                    "DONE!  *Click here to claim the reward*" if C_B3 == True:
                            "Congratulations!  You beat the 'Plant a Strawberry Seed' Challenge!  A Monocle is now available in the Dress Up menu."
                            $ C_B3 = "Done"
                            $ mask4 = True
                    "Basic:  Meet a BabyBot" if C_B4 == False:
                            "To complete this challenge, you must meet another BabyBot at the Sandbox."
                            "REWARD: +10 Brain"
                    "DONE!  *Click here to claim the reward*" if C_B4 == True:
                            "Congratulations!  You beat the 'Meet a BabyBot' Challenge!  You won 10 Brain Points."
                            $ C_B4 = "Done"
                            $ brain += 10
                    "Basic:  Meet a CutieBot" if C_B5 == False:
                            "To complete this challenge, you must meet another CutieBot at the School."
                            "REWARD: +10 Body"
                    "DONE!  *Click here to claim the reward*" if C_B5 == True:
                            "Congratulations!  You beat the 'Meet a BabyBot' Challenge!  You won 10 Body Points."
                            $ C_B5 = "Done"
                            $ body += 10
                    "Basic:  Mix Watts with another MiniBot" if C_B6 == False:
                            "To complete this challenge, you must mix watts with another MiniBot."
                            "REWARD: +10 Reputation"
                    "DONE!  *Click here to claim the reward*" if C_B6 == True:
                            "Congratulations!  You beat the 'Mix Watts with another MiniBot' Challenge!  You won 10 Reputation Points."
                            $ C_B6 = "Done"
                            $ reputation += 10
                    "Never mind...":
                        jump Explore
                jump Explore
            "Beginner Challenges":
                menu:
                    "Beginner:  Meet all 4 BabyBots" if C_Beg1 == False:
                            "To complete this challenge, you must meet all 4 BabyBots at the Sandbox."
                            "REWARD: Teeth"
                    "DONE!  *Click here to claim the reward*" if C_Beg1 == True:
                            "Congratulations!  You beat the 'Meet all 4 BabyBots Challenge!  Teeth are now available in the Dress Up menu."
                            $ C_Beg1 = "Done"
                            $ mask10 = True
                    "Beginner:  Meet all 4 CutieBots" if C_Beg2 == False:
                            "To complete this challenge, you must meet all 4 CutieBots at School."
                            "REWARD: Fangs"
                    "DONE! *Click here to clain the reward*" if C_Beg2 == True:
                            "Congratulations!  You beat the 'Meet all 4 CutieBots' Challenge!  Fangs are now available in the Dress Up menu."
                            $ C_Beg2 = "Done"
                            $ mask5 = True
                    "Beginner:  Buy any Color Scarf" if C_Beg3 == False:
                            "To complete this challenge, you must buy a scarf from the store."
                            "REWARD: $50"
                    "DONE!  *Click here to claim the reward*" if C_Beg3 == True:
                            "Congratulations!  You beat the 'Buy any Color Scarf Challenge!  You won $50."
                            $ C_Beg3 = "Done"
                            $ money += 50
                    "Beginner:  Increase Reputation to over 25" if C_Beg4 == False:
                            "To complete this challenge, you must increase your repuatation to over 25."
                            "REWARD: 20 Reputation Points"
                    "DONE!  *Click here to claim the reward*" if C_Beg4 == True:
                            "Congratulations!  You beat the 'Increase Reputation to over 25' Challenge!  You won 20 Reputation Points."
                            $ C_Beg4 = "Done"
                            $ reputation += 20
                    "Beginner:  Increase Brain to over 25" if C_Beg5 == False:
                            "To complete this challenge, you must increase your brain to over 25."
                            "REWARD: 20 Brain Points"
                    "DONE!  *Click here to claim the reward*" if C_Beg5 == True:
                            "Congratulations!  You beat the 'Increase Brain to over 25' Challenge!  You won 20 Brain Points."
                            $ C_Beg5 = "Done"
                            $ brain += 20
                    "Beginner:  Increase Body to over 25" if C_Beg6 == False:
                            "To complete this challenge, you must increase your body to over 25."
                            "REWARD: 20 Body Points"
                    "DONE!  *Click here to claim the reward*" if C_Beg6 == True:
                            "Congratulations!  You beat the 'Increase Body to over 25' Challenge!  You won 20 Body Points."
                            $ C_Beg6 = "Done"
                            $ body += 20
                    "Never mind...":
                        jump Explore
                jump Explore
            "Advanced Challenges":
                menu:
                    "Advanced:  Make friends with a BabyBot" if C_Ad1 == False:
                            "To complete this challenge, you must make a friend with a BabyBot at the Sandbox."
                            "REWARD: Unicorn Horn"
                    "DONE!  *Click here to claim the reward*" if C_Ad1 == True:
                            "Congratulations!  You beat the 'Make friends with a BabyBot' Challenge!  The Unicorn Horn is now available in the Dress Up menu."
                            $ C_Ad1 = "Done"
                            $ hat21 = True
                    "Advanced:  Make friends with a CutieBot" if C_Ad2 == False:
                            "To complete this challenge, you must make friends with a CutieBot at School."
                            "REWARD: Small Horns"
                    "DONE! *Click here to clain the reward*" if C_Ad2 == True:
                            "Congratulations!  You beat the 'Make friends with a CutieBot' Challenge!  Small Horns are now available in the Dress Up menu."
                            $ C_Ad2 = "Done"
                            $ hat22 = True
                    "Advanced:  Collect 10 Herb Smoothies" if C_Ad3 == False:
                            "To complete this challenge, you must have at least 10 Herb Smoothies with you."
                            "REWARD: Whiskers"
                    "DONE!  *Click here to claim the reward*" if C_Ad3 == True:
                            "Congratulations!  You beat the 'Collect 10 Herb Smoothies' Challenge!  Whiskers are now available in the Dress Up menu."
                            $ C_Ad3 = "Done"
                            $ mask6 = True
                    "Advanced:  Increase Reputation to over 75" if C_Ad4 == False:
                            "To complete this challenge, you must increase your reputation to over 75."
                            "REWARD: Fedora"
                    "DONE!  *Click here to claim the reward*" if C_Ad4 == True:
                            "Congratulations!  You beat the 'Increase Reputation to over 75' Challenge!  The Fedora is now available in the Dress Up menu."
                            $ C_Ad4 = "Done"
                            $ hat13 = True
                            $ HatSpecial = True
                    "Advanced:  Increase Brain to over 75" if C_Ad5 == False:
                            "To complete this challenge, you must increase your brain to over 75."
                            "REWARD: Sombrero"
                    "DONE!  *Click here to claim the reward*" if C_Ad5 == True:
                            "Congratulations!  You beat the 'Increase Brain to over 75' Challenge!  The Sombrero is now available in the Dress Up menu."
                            $ C_Ad5 = "Done"
                            $ hat14 = True
                            $ HatSpecial = True
                    "Advanced:  Increase Body to over 75" if C_Ad6 == False:
                            "To complete this challenge, you must increase your body to over 75."
                            "REWARD: Cowboy Hat"
                    "DONE!  *Click here to claim the reward*" if C_Ad6 == True:
                            "Congratulations!  You beat the 'Increase Body to over 75' Challenge!  The Cowboy Hat is now available in the Dress Up menu."
                            $ C_Ad6 = "Done"
                            $ hat19 = True
                            $ HatSpecial = True
                    "Never mind...":
                        jump Explore
            "Expert Challenges" if N >= 2:
                menu:
                    "Expert:  Make friends with all 4 BabyBots" if C_E1 == False:
                            "To complete this challenge, you must make a friends with all 4 BabyBot at the Sandbox."
                            "REWARD: Angel Wings and Ball Cap"
                    "DONE!  *Click here to claim the reward*" if C_E1 == True:
                            "Congratulations!  You beat the 'Make friends with all 4 BabyBots' Challenge!  The Angel Wings and Ball Cap are now available in the Dress Up menu."
                            $ C_E1 = "Done"
                            $ body1a = True
                            $ BodyWing = True
                            $ hat18 = True
                    "Expert:  Make friends with all 4 CutieBots" if C_E2 == False:
                            "To complete this challenge, you must make friends with all 4 CutieBots at School."
                            "REWARD: Owl Wings and Tiara"
                    "DONE! *Click here to clain the reward*" if C_E2 == True:
                            "Congratulations!  You beat the 'Make friends with all 4 CutieBots' Challenge!  The Owl Wings and Tiara are now available in the Dress Up menu."
                            $ C_E2 = "Done"
                            $ body1b = True
                            $ BodyWing = True
                            $ hat11 = True
                    "Expert:  Collect over 50 Cherries" if C_E3 == False:
                            "To complete this challenge, you must have at least 100 Cherries with you."
                            "REWARD: Silver Wings and Graduation Cap"
                    "DONE!  *Click here to claim the reward*" if C_E3 == True:
                            "Congratulations!  You beat the 'Collect 100 Cherries' Challenge!  The Silver Wings and Graduation Cap are now available in the Dress Up menu."
                            $ C_E3 = "Done"
                            $ body2a = True
                            $ BodyWing = True
                            $ hat16 = True
                            $ HatSpecial = True
                    "Expert:  Collect over 50 Strawberries" if C_E4 == False:
                            "To complete this challenge, you must have at least 100 Strawberries with you."
                            "REWARD: Gold Wings and Spinny Hat"
                    "DONE!  *Click here to claim the reward*" if C_E4 == True:
                            "Congratulations!  You beat the 'Collect 100 Strawberries' Challenge!  The Gold Wings and Spinny Hat are now available in the Dress Up menu."
                            $ C_E4 = "Done"
                            $ body2b = True
                            $ BodyWing = True
                            $ hat17 = True
                            $ HatSpecial = True
                    "Expert:  Collect over 50 Oranges" if C_E5 == False:
                            "To complete this challenge, you must have at least 100 Oranges with you."
                            "REWARD: Bat Wings"
                    "DONE!  *Click here to claim the reward*" if C_E5 == True:
                            "Congratulations!  You beat the 'Collect 100 Oranges' Challenge!  Bat Wings are now available in the Dress Up menu."
                            $ C_E5 = "Done"
                            $ body3 = True
                            $ BodyWing = True
                    "Expert:  Increase Reputation to over 125" if C_E6 == False:
                            "To complete this challenge, you must increase your reputation to over 125."
                            "REWARD: Fairy Wings"
                    "DONE!  *Click here to claim the reward*" if C_E6 == True:
                            "Congratulations!  You beat the 'Increase Reputation to over 125' Challenge!  The Fairy Wings are now available in the Dress Up menu."
                            $ C_E6 = "Done"
                            $ body4a = True
                            $ body4b = True
                            $ body4c = True
                            $ BodyWing = True
                    "Expert:  Increase Brain to over 125" if C_E7 == False:
                            "To complete this challenge, you must increase your brain to over 125."
                            "REWARD: Capes and Pendant"
                    "DONE!  *Click here to claim the reward*" if C_E7 == True:
                            "Congratulations!  You beat the 'Increase Brain to over 125' Challenge!  The Capes and the Pendant are now available in the Dress Up menu."
                            $ C_E7 = "Done"
                            $ body7a = True
                            $ body7b = True
                            $ body7c = True
                            $ BodyCape = True
                            $ body5 = True
                    "Expert:  Increase Body to over 125" if C_E8 == False:
                            "To complete this challenge, you must increase your body to over 125."
                            "REWARD: Eye Patches, Sun Glasses, and Hippie Glasses"
                    "DONE!  *Click here to claim the reward*" if C_E8 == True:
                            "Congratulations!  You beat the 'Increase Body to over 125' Challenge!  Eye Patches, Sun Glasses, and Hippie Glasses are now available in the Dress Up menu."
                            $ C_E8 = "Done"
                            $ mask11 = True
                            $ mask8 = True
                            $ mask7 = True
                    "Never mind...":
                        jump Explore
            "Never mind...":
                jump Explore
        jump Explore
    if result == "Back":
        jump colorcheck

label blender:
    scene Blender
    $ show_cherries = True
    $ show_straws = True
    $ show_oranges = True
label Blender:    
    $ result = renpy.imagemap("Blender1.png", "Blender2.png", [
            (25, 480, 168, 572, "Fruit1"),
            (172, 480, 313, 572, "Fruit2"),
            (316, 480, 460, 572, "Fruit3"),
            (486, 292, 730, 398, "Mix"),
            (543, 417, 745, 468, "Auto"),
            (629, 516, 778, 580, "Back"),
            ], overlays = True)
    
    if result == "Fruit1":
        menu:
            "Cherry" if Cherry > 0 and Fruit1 == "None":
                $ Fruit1 = "Cherry"
                $ Cherry -= 1
                show B1 at Position(xanchor =0.5, yanchor =0.5, xpos =145, ypos =320)
            "Strawberry" if Strawberry > 0 and Fruit1 == "None":
                $ Fruit1 = "Straw"
                $ Strawberry -=1
                show B1 at Position(xanchor =0.5, yanchor =0.5, xpos =145, ypos =320)
            "Orange" if Orange > 0 and Fruit1 == "None":
                $ Fruit1 = "Orange"
                $ Orange -=1
                show B1 at Position(xanchor =0.5, yanchor =0.5, xpos =145, ypos =320)
            "Remove Fruit" if Fruit1 != "None":
                if Fruit1 == "Cherry":
                   $ Cherry += 1
                if Fruit1 == "Straw":
                   $ Strawberry += 1
                if Fruit1 == "Orange":
                   $ Orange += 1
                $ Fruit1 = "None"
            "Never mind":
                jump Blender
        jump Blender
    if result == "Fruit2":
        menu:
            "Cherry" if Cherry > 0 and Fruit2 == "None":
                $ Fruit2 = "Cherry"
                $ Cherry -= 1
                show B2 at Position(xanchor =0.5, yanchor =0.5, xpos =235, ypos =320)
            "Strawberry" if Strawberry > 0 and Fruit2 == "None":
                $ Fruit2 = "Straw"
                $ Strawberry -=1
                show B2 at Position(xanchor =0.5, yanchor =0.5, xpos =235, ypos =320)
            "Orange" if Orange > 0 and Fruit2 == "None":
                $ Fruit2 = "Orange"
                $ Orange -=1
                show B2 at Position(xanchor =0.5, yanchor =0.5, xpos =235, ypos =320)
            "Remove Fruit" if Fruit2 != "None":
                if Fruit2 == "Cherry":
                   $ Cherry += 1
                if Fruit2 == "Straw":
                   $ Strawberry += 1
                if Fruit2 == "Orange":
                   $ Orange += 1
                $ Fruit2 = "None"
            "Never mind":
                jump Blender
        jump Blender
    if result == "Fruit3":
        menu:
            "Cherry" if Cherry > 0 and Fruit3 == "None":
                $ Fruit3 = "Cherry"
                $ Cherry -= 1
                show B3 at Position(xanchor =0.5, yanchor =0.5, xpos =320, ypos =320)
            "Strawberry" if Strawberry > 0 and Fruit3 == "None":
                $ Fruit3 = "Straw"
                $ Strawberry -=1
                show B3 at Position(xanchor =0.5, yanchor =0.5, xpos =320, ypos =320)
            "Orange" if Orange > 0 and Fruit3 == "None":
                $ Fruit3 = "Orange"
                $ Orange -=1
                show B3 at Position(xanchor =0.5, yanchor =0.5, xpos =320, ypos =320)
            "Remove Fruit" if Fruit3 != "None":
                if Fruit3 == "Cherry":
                   $ Cherry += 1
                if Fruit3 == "Straw":
                   $ Strawberry += 1
                if Fruit3 == "Orange":
                   $ Orange += 1
                $ Fruit3 = "None"
            "Never mind":
                jump Blender
        jump Blender
    if result == "Mix":
        if energy >= 2:
            if Fruit1 == "None":
                    "The blender is still missing fruit!"
                    jump Blender
            if Fruit2 == "None":
                    "The blender is still missing fruit!"
                    jump Blender
            if Fruit3 == "None":
                    "The blender is still missing fruit!"
                    jump Blender
            elif Fruit1 == "Cherry" and Fruit2 == "Cherry" and Fruit3 == "Cherry":
                    $ smoothie = "S1"
                    $ S1 += 1
                    $ UnlockS1 = True
                    show Smoothie at Position(xanchor =0.5, yanchor =0.5, xpos =235, ypos =250)
                    "You made a Cherry Smoothie!"
            elif Fruit1 == "Straw" and Fruit2 == "Straw" and Fruit3 == "Straw":
                    $ smoothie = "S2"
                    $ S2 += 1
                    $ UnlockS2 = True
                    show Smoothie at Position(xanchor =0.5, yanchor =0.5, xpos =235, ypos =250)
                    "You made a Strawberry Smoothie!"
            elif Fruit1 == "Orange" and Fruit2 == "Orange" and Fruit3 == "Orange":
                    $ smoothie = "S3"
                    $ S3 += 1
                    $ UnlockS3 = True
                    show Smoothie at Position(xanchor =0.5, yanchor =0.5, xpos =235, ypos =250)
                    "You made an Orange Smoothie!"
                    if C_B2 == False:
                        $ C_B2 = True
            elif Fruit1 == "Straw" and Fruit2 == "Cherry" and Fruit3 == "Orange":
                    $ smoothie = "S4"
                    $ S4 += 1
                    $ UnlockS4 = True
                    show Smoothie at Position(xanchor =0.5, yanchor =0.5, xpos =235, ypos =250)
                    "You made a Tropical Smoothie!"
            elif Fruit1 == "Orange" and Fruit2 == "Orange" and Fruit3 == "Cherry":
                    $ smoothie = "S5"
                    $ S5 += 1
                    $ UnlockS5 = True
                    show Smoothie at Position(xanchor =0.5, yanchor =0.5, xpos =235, ypos =250)
                    "You made a Mellow Smoothie!"
            elif Fruit1 == "Straw" and Fruit2 == "Cherry" and Fruit3 == "Straw":
                    $ smoothie = "S6"
                    $ S6 += 1
                    $ UnlockS6 = True
                    show Smoothie at Position(xanchor =0.5, yanchor =0.5, xpos =235, ypos =250)
                    "You made a Wild Berry Smoothie!"
            elif Fruit1 == "Cherry" and Fruit2 == "Cherry" and Fruit3 == "Orange":
                    $ smoothie = "S7"
                    $ S7 += 1
                    $ UnlockS7 = True
                    show Smoothie at Position(xanchor =0.5, yanchor =0.5, xpos =235, ypos =250)
                    "You made a Fluffy Smoothie!"
            elif Fruit1 == "Straw" and Fruit2 == "Orange" and Fruit3 == "Straw":
                    $ smoothie = "S8"
                    $ S8 += 1
                    $ UnlockS8 = True
                    show Smoothie at Position(xanchor =0.5, yanchor =0.5, xpos =235, ypos =250)
                    "You made a Sweet Smoothie!"
            elif Fruit1 == "Orange" and Fruit2 == "Cherry" and Fruit3 == "Orange":
                    $ smoothie = "S9"
                    $ S9 += 1
                    $ UnlockS9 = True
                    show Smoothie at Position(xanchor =0.5, yanchor =0.5, xpos =235, ypos =250)
                    "You made a Tangy Smoothie!"
            elif Fruit1 == "Cherry" and Fruit2 == "Straw" and Fruit3 == "Straw":
                    $ smoothie = "S10"
                    $ S10 += 1
                    $ UnlockS10 = True
                    show Smoothie at Position(xanchor =0.5, yanchor =0.5, xpos =235, ypos =250)
                    "You made a Poppy Smoothie!"
            else:
                $ smoothie = "S0"
                $ S += 1
                show Smoothie at Position(xanchor =0.5, yanchor =0.5, xpos =235, ypos =250)
                "You made a Smoothie!"
            $ energy -= 2
            $ Fruit1 = "None"
            $ Fruit2 = "None"
            $ Fruit3 = "None"
            jump blender
        if energy < 2:
            "You don't have enough energy!"
            jump blender
    if result == "Auto":
        if watts < 25:
            "This function require at least 25 watts to operate."
            jump Blender
        if watts >= 25 and energy >= 5:
            menu:
                "Cherry Smoothie" if UnlockS1 == True and Cherry >= 3:
                    $ smoothie = "S1"
                    $ S1 += 1
                    $ Cherry -= 3
                    show Smoothie at Position(xanchor =0.5, yanchor =0.5, xpos =235, ypos =250)
                    $ energy -= 5
                    jump blender
                "Strawberry Smoothie" if UnlockS2 == True and Strawberry >= 3:
                    $ smoothie = "S2"
                    $ S2 += 1
                    $ Strawberry -= 3
                    show Smoothie at Position(xanchor =0.5, yanchor =0.5, xpos =235, ypos =250)
                    $ energy -= 5
                    jump blender
                "Orange Smoothie" if UnlockS3 == True and Orange >= 3:
                    $ smoothie = "S3"
                    $ S3 += 1
                    $ Orange -= 3
                    show Smoothie at Position(xanchor =0.5, yanchor =0.5, xpos =235, ypos =250)
                    $ energy -= 5
                    jump blender
                "Tropical Smoothie" if UnlockS4 == True and Cherry >= 1 and Strawberry >= 1 and Orange >=1:
                    $ smoothie = "S4"
                    $ S4 += 1
                    $ Cherry -= 1
                    $ Strawberry -= 1
                    $ Orange -= 1
                    show Smoothie at Position(xanchor =0.5, yanchor =0.5, xpos =235, ypos =250)
                    $ energy -= 5
                    jump blender
                "Mellow Smoothie" if UnlockS5 == True and Orange >= 2 and Cherry >= 1:
                    $ smoothie = "S5"
                    $ S5 += 1
                    $ Cherry -= 1
                    $ Orange -= 2
                    show Smoothie at Position(xanchor =0.5, yanchor =0.5, xpos =235, ypos =250)
                    $ energy -= 5
                    jump blender
                "Wild Berry Smoothie" if UnlockS6 == True and Strawberry >=2 and Cherry >= 1:
                    $ smoothie = "S6"
                    $ S6 += 1
                    $ Cherry -= 1
                    $ Strawberry -= 2
                    show Smoothie at Position(xanchor =0.5, yanchor =0.5, xpos =235, ypos =250)
                    $ energy -= 5
                    jump blender
                "Fluffy Smoothie" if UnlockS7 == True and Cherry >= 2 and Orange >=1:
                    $ smoothie = "S7"
                    $ S7 += 1
                    $ Cherry -= 2
                    $ Orange -= 1
                    show Smoothie at Position(xanchor =0.5, yanchor =0.5, xpos =235, ypos =250)
                    $ energy -= 5
                    jump blender
                "Sweet Smoothie" if UnlockS8 == True and Strawberry >= 2 and Orange >=1:
                    $ smoothie = "S8"
                    $ S8 += 1
                    $ Strawberry -= 2
                    $ Orange -= 1
                    show Smoothie at Position(xanchor =0.5, yanchor =0.5, xpos =235, ypos =250)
                    $ energy -= 5
                    jump blender
                "Tangy Smoothie" if UnlockS9 == True and Orange >= 2 and Cherry >= 1:
                    $ smoothie = "S9"
                    $ S9 += 1
                    $ Cherry -= 1
                    $ Orange -= 2
                    show Smoothie at Position(xanchor =0.5, yanchor =0.5, xpos =235, ypos =250)
                    $ energy -= 5
                    jump blender
                "Poppy Smoothie" if UnlockS10 == True and Strawberry >= 2 and Cherry >= 1:
                    $ smoothie = "S10"
                    $ S10 += 1
                    $ Cherry -= 1
                    $ Strawberry -= 2
                    show Smoothie at Position(xanchor =0.5, yanchor =0.5, xpos =235, ypos =250)
                    $ energy -= 5
                    jump blender
                "Never Mind...":
                    jump blender
        if watts >= 25 and energy < 5:
            "You don't have enough energy!"
            jump Blender
    if result == "Back":
        $ show_cherries = False
        $ show_straws = False
        $ show_oranges = False    
        jump colorcheck
        
label Bag:
    scene Bag
    show BagFruit
    $ show_money = False
    $ show_bagFruit = True
    $ result = renpy.imagemap("Bag_Fruit.png", "Bag_FruitHover.png", [
            (55, 135, 135, 220, "1Smoothie"),
            (135, 135, 228, 220, "2Smoothie"),
            (228, 135, 325, 220, "3Smoothie"),
            (325, 135, 425, 220, "4Smoothie"),
            (425, 135, 515, 220, "5Smoothie"),
            (55, 245, 135, 326, "6Smoothie"),
            (135, 245, 228, 326, "7Smoothie"),
            (228, 245, 325, 326, "8Smoothie"),
            (325, 245, 425, 326, "9Smoothie"),
            (425, 245, 515, 326, "10Smoothie"),
            (535, 190, 610, 265, "Smoothie"),
            (385, 375, 460, 465, "Cherry"),
            (460, 375, 522, 465, "Straw"),
            (522, 375, 610, 465, "Orange"),
            (128, 13, 294, 84, "Disk"),
            (650, 18, 780, 67, "Back"),
            ], overlays = True)
    if result == "1Smoothie":
        menu:
                "Eat one!" if S2 > 0:
                    $ brain += 6
                    $ energy += 2
                    $ S2 -= 1
                "Sell one!" if S2 > 0:
                    $ money += 20
                    $ S2 -= 1
                "Sell all of them" if S2 > 0:
                    $ money += (S2) * 20
                    $ S2 = 0
                "Never mind...":
                    jump Bag
        jump Bag
    if result == "2Smoothie":
        menu:
                "Eat one!" if S3 > 0:
                    $ body += 6
                    $ energy += 2
                    $ S3 -= 1
                "Sell one!" if S3 > 0:
                    $ money += 20
                    $ S3 -= 1
                "Sell all of them" if S3 > 0:
                    $ money += (S3) * 20
                    $ S3 = 0
                "Never mind...":
                    jump Bag
        jump Bag
    if result == "3Smoothie":
        menu:
                "Eat one!" if S4 > 0:
                    $ reputation += 2
                    $ brain += 2
                    $ body += 2
                    $ energy += 2
                    $ S4 -= 1
                "Sell one!" if S4 > 0:
                    $ money += 20
                    $ S4 -= 1
                "Sell all of them" if S4 > 0:
                    $ money += (S4) * 20
                    $ S4 = 0
                "Never mind...":
                    jump Bag
        jump Bag
    if result == "4Smoothie":
        menu:
                "Eat one!" if S6 > 0:
                    $ reputation += 2
                    $ brain += 4
                    $ energy += 2
                    $ S6 -= 1
                "Sell one!" if S6 > 0:
                    $ money += 20
                    $ S6 -= 1
                "Sell all of them" if S6 > 0:
                    $ money += (S6) * 20
                    $ S6 = 0
                "Never mind...":
                    jump Bag
        jump Bag
    if result == "5Smoothie":
        menu:
                "Eat one!" if S9 > 0:
                    $ reputation += 2
                    $ body += 4
                    $ energy += 2
                    $ S9 -= 1
                "Sell one!" if S9 > 0:
                    $ money += 20
                    $ S9 -= 1
                "Sell all of them" if S9 > 0:
                    $ money += (S9) * 20
                    $ S9 = 0
                "Never mind...":
                    jump Bag
        jump Bag
    if result == "6Smoothie":
        menu:
                "Eat one!" if S1 > 0:
                    $ reputation += 6
                    $ energy += 2
                    $ S1 -= 1
                "Sell one!" if S1 > 0:
                    $ money += 20
                    $ S1 -= 1
                "Sell all of them" if S1 > 0:
                    $ money += (S1) * 20
                    $ S1 = 0
                "Never mind...":
                    jump Bag
        jump Bag
    if result == "7Smoothie":
        menu:
                "Eat one!" if S10 > 0:
                    $ reputation += 2
                    $ brain += 4
                    $ energy += 2
                    $ S10 -= 1
                "Sell one!" if S10 > 0:
                    $ money += 20
                    $ S10 -= 1
                "Sell all of them" if S10 > 0:
                    $ money += (S10) * 20
                    $ S10 = 0
                "Never mind...":
                    jump Bag
        jump Bag
    if result == "8Smoothie":
        menu:
                "Eat one!" if S5 > 0:
                    $ reputation += 2
                    $ body += 4
                    $ energy += 2
                    $ S5 -= 1
                "Sell one!" if S5 > 0:
                    $ money += 20
                    $ S5 -= 1
                "Sell all of them" if S5 > 0:
                    $ money += (S5) * 20
                    $ S5 = 0
                "Never mind...":
                    jump Bag
        jump Bag
    if result == "9Smoothie":
        menu:
                "Eat one!" if S7 > 0:
                    $ reputation += 4
                    $ body += 2
                    $ energy += 2
                    $ S7 -= 1
                "Sell one!" if S7 > 0:
                    $ money += 20
                    $ S7 -= 1
                "Sell all of them" if S7 > 0:
                    $ money += (S7) * 20
                    $ S7 = 0
                "Never mind...":
                    jump Bag
        jump Bag
    if result == "10Smoothie":
        menu:
                "Eat one!" if S8 > 0:
                    $ brain += 4
                    $ body += 2
                    $ energy += 2
                    $ S8 -= 1
                "Sell one!" if S8 > 0:
                    $ money += 20
                    $ S8 -= 1
                "Sell all of them" if S8 > 0:
                    $ money += (S8) * 20
                    $ S8 = 0
                "Never mind...":
                    jump Bag
        jump Bag
    if result == "Smoothie":
        menu:
                "Eat one!" if S > 0:
                    $ reputation += 1
                    $ brain += 1
                    $ body += 1
                    $ energy += 2
                    $ S -= 1
                "Sell one!" if S > 0:
                    $ money += 20
                    $ S -= 1
                "Sell all of them" if S > 0:
                    $ money += (S) * 20
                    $ S = 0
                "Never mind...":
                    jump Bag
        jump Bag
    if result == "Cherry":
        menu:
                "Eat one!" if Cherry > 0:
                    $ reputation += 1
                    $ energy += 1
                    $ Cherry -= 1
                "Sell one!" if Cherry > 0:
                    $ money += 5
                    $ Cherry -= 1
                "Sell all of them" if Cherry > 0:
                    $ money += (Cherry) * 5
                    $ Cherry = 0
                "Never mind...":
                    jump Bag
        jump Bag
    if result == "Straw":
        menu:
                "Eat one!" if Strawberry > 0:
                    $ brain += 1
                    $ energy += 1
                    $ Strawberry -= 1
                "Sell one!" if Strawberry > 0:
                    $ money += 5
                    $ Strawberry -= 1
                "Sell all of them" if Strawberry > 0:
                    $ money += (Strawberry) * 5
                    $ Strawberry = 0
                "Never mind...":
                    jump Bag
        jump Bag
    if result == "Orange":
        menu:
                "Eat one!" if Orange > 0:
                    $ body += 1
                    $ energy += 1
                    $ Orange -= 1
                "Sell one!" if Orange > 0:
                    $ money += 5
                    $ Orange -= 1
                "Sell all of them" if Orange > 0:
                    $ money += (Orange) * 5
                    $ Orange = 0
                "Never mind...":
                    jump Bag
        jump Bag
    if result == "Disk":
        if HintDisk == True:
            $ show_bagFruit = False
            jump Disk
        if HintDisk == False:
            jump Bag
    if result == "Back":
        $ show_bagFruit = False
        return

label Sand:
    scene Sandbox
    $ SandBot = renpy.random.choice(["Zippy", "Cuddles", "Dusk", "Boomer"])
    show BBot at Position(xanchor =0.5, yanchor =0.5, xpos =320, ypos =320)
    $ show_name = True
    $ show_friend = True
label SandMap:
    $ result = renpy.imagemap("1.png", "2.png", [
            (274, 40, 492, 120, "Talk"),
            (554, 22, 770, 103, "Back"),
            ], overlays = True)
    
    if result == "Talk":
        if energy >= 1:
            $ energy -= 1
            if SandBot == "Zippy":
                call ZippyTalk
            if SandBot == "Cuddles":
                call CuddlesTalk
            if SandBot == "Dusk":
                call DuskTalk
            if SandBot == "Boomer":
                call BoomerTalk
            jump SandMap
        if energy == 0:
            "You don't have enough energy!"
            jump SandMap
    if result == "Back":
        $ SandBot = "None"
        $ show_name = False
        $ show_friend = False
        jump Explore
        
label ZippyTalk:
    $ C_MeetB1 = True
    if Friend1 == 0:
        z "...Greetings......."
        menu:
            "Umm...hi?":
                z "RAWR!!!!!!!"
                $ Friend1 += 1
                return
            "*Slowly Back Away*":
                z "*Stares at you*"
                return
    if Friend1 == 1:
        z "Sometimes, I like to pretend I'm a dinosaur."
        menu:
            "Pretending is fun!  I like to do that too!":
                z "Really!?"
                $ Friend1 += 1
                return
            "That doesn't give you a right to go around and roar at people!":
                z "...You're no fun."
                return
    if Friend1 == 2:
        z "So, a bunny told me I shouldn't be a T-Rex... or any other meat eaters."
        menu:
            "That's probably for the best...":
                z "Nuh uh!  All the best dinosaurs are meat eaters!"
                return
            "I like bunnies because they're furry.":
                z "Me too!  ...I guess they also give great advice!"
                $ Friend1 += 1
                return
    if Friend1 == 3:
        z "By the way, my name is Zippy.  I'm only half insane."
        menu:
            "Sweet!  Nice to meet you!":
                z "Agreed."
                $ Friend1 += 1
                return
            "No...really?":
                z "Mhmm!  We're going to be best friends... FOREVER."
                $ Friend1 += 1
                return
    if Friend1 == 4:
        z "So, what's up?"
        menu:
            "Nothing much... just trying to impress the MegaBot so I can be the most powerful robot alive.":
                z "STUPID!  That's impossible!  I'm already the very best, like no one ever was!"
                return
            "I went to the store today and couldn't find a turtle... I'm kinda disappointed.":
                z "What!?!?!?  Let's write a complaint!"
                $ Friend1 += 1
                return
    if Friend1 == 5:
        z "Hmm... not only are turtles cute, but they also are great covered in chocolate."
        menu:
            "I wouldn't really know... I'm a vegetarian.":
                z "GO AWAY!  Meat is delicious!"
                return
            "Everything tastes better when covered in chocolate!":
                z "I know, right!?"
                $ Friend1 += 1
                return
    if Friend1 == 6:
        z "Now I'm hungry... I wish I had food."
        menu:
            "You do!  You have a yellow lollipop.":
                z "Negatory... That's my pacifier.  My mom gave it to me so I would shut up.  Want one?"
                "You obtained a yellow pacifier!"
                $ mask12d = True
                $ MaskPacifier = True
                $ Friend1 += 1
                return
            "Here!  Have some of my fruit!":
                z "YUCK!  I'm a meat eater!  I don't listen to bunnies!"
                return
    if Friend1 == 7:
        if Face == "Mask__6d":
            z "Wow, you look horrible!"
            menu:
                "Hey!  You're the one who made me wear the pacifier!":
                    z "True, but I can't help the fact that you're ugly."
                    return
                "If only I had one in a different color...":
                    z "Oh, that reminds me... it came in a four pack.  Here, take the other three."
                    $ mask12a = True
                    $ mask12b = True
                    $ mask12c = True
                    $ Friend1 += 1
                    return
        else:            
                 z "Hey!  Go wear your pacifier!  I won't talk to you until you wear it!  WE NEED TO MATCH!"
                 return
    if Friend1 == 8:
        z "The forest spirits are happy."
        menu:
            "What forest spirits?":
                z "AHHHHH!  Don't use their name in vain!!!  They will smite you!"
                return
            "But we forgot to leave them milk!!!":
                z "Quick!  Let's chant to them and beg for their forgiveness!"
                $ Friend1 += 1
                return
    if Friend1 == 9:
        z "Hey, are we friends?"
        menu:
            "Of course!  I would have walked away a long time ago otherwise...":
                z "FRIEND!"
                $ Friend1 += 1
                return
            "I wouldn't say that...":
                z "YOU'RE MY BESTEST FRIEND EVER!"
                $ Friend1 += 1
                return
    if Friend1 == 10 and hat20c == False:
        z "so... now that we're buddies, I found this feather laying over by the woods... do you want it?"
        $ hat20c = True
        $ HatFeather = True
        "You obtained a Brown Feather!"
        z "I hear this feather is special... go put it on!"
        return
    else:
        z "You're my best friend!"
        return
        
label CuddlesTalk:
    $ C_MeetB2 = True
    if Friend2 == 0:
        c "La, la, la... singing about singing!  La, la la!!!"
        menu:
            "Oh hai!":
                c "HI!  My name is Cuddles!  Pleased to meet you!"
                $ Friend2 += 1
                return
            "SHUT UP.":
                c "Wah!?  You don't like my singing?  I'm gonna cry..."
                return
    if Friend2 == 1:
        c "I'm Cuddles, am I'm so super cute!  La, la, la!"
        menu:
            "Awww, you're so adorable!":
                c "I blame it on the pink bow."
                $ Friend2 += 1
                return
            "You're Cuddles, and you're so super annoying...":
                c "Why won't you adore me!?"
                return
    if Friend2 == 2:
        c "My mommy entered me in a beauty contest.  Do you think I'll win?"
        menu:
            "They should have just called it off the moment you signed up!":
                c "You're right!  I'm just surprised the other people haven't forfieted yet."
                $ Friend2 += 1
                return
            "No.":
                c "OBEY ME."
                return
    if Friend2 == 3:
        c "I think pink is the best color ever."
        menu:
            "Actually, I'm a fan of blue.":
                c "Eww!"
                return
            "Yeah, it's a pretty color.":
                c "I like it cuz it makes me think of unicorns and rainbows."
                $ Friend2 += 1
                return
    if Friend2 == 4:
        c "You're not wearing much pink."
        menu:
            "That's because I don't have very many pink things.":
                c "What!?!"
                $ Friend2 += 1
                return
            "Thank you, Mrs. Obvious.":
                c "You don't like me?  *snivel*"
                return
    if Friend2 == 5:
        c "If you're going to be my friend, you need to be cuter.  Here.  Take some blush!"
        "You obtained Blush!"
        $ mask9 = True
        menu:
            "Thanks!":
                c "Aww, you're welcome!"
                $ Friend2 += 1
                return
            "You know, I'm not going to wear this.":
                c "PUT IT ON!  I won't talk to you unless you do!"
                $ event1 = True
                $ Friend2 += 1
                return
    if Friend2 == 6:
        if event1 == True:
            if Face != "Mask__3":
                "PUT ON THE BLUSH!"
                return
            if Face == "Mask__3":
                c "Aww, you look so cute!  I'm so helpful!"
                $ Friend2 += 1
                $ event1 = False
                return
        if event1 == False:
            c "So what are you up to?"
            menu:
                "Oh, the usual... Just trying to impress the MegaBot so I can become the most powerful robot alive.":
                    c "With that blush, you'll impress everyone!"
                    $ Friend2 += 1
                    return
                "I don't really know... I'm starting to question why smoothies make me smarter and stronger.":
                    c "DON'T QUESTION ANYTHING.  FREE THINKING IS BAD!"
                    return
    if Friend2 == 7:
        c "Am I your favorite BabyBot?"
        menu:
            "I don't have a favorite.":
                c "Why not!?"
                return
            "Of course!":
                c "Yay!  You make me smile!"
                $ Friend2 += 1
                return
    if Friend2 == 8:
        c "I have a favorite for everything."
        menu:
            "How interesting...":
                c "I CAN HEAR YOUR SARCASM!"
                return
            "That's really cute!":
                c "Mhmm!  My favorite fruit is strawberries, my favorite color is pink, and my favorite animal is a bunny!"
                $ Friend2 += 1
                return
    if Friend2 == 9:
        c "You know, I feel like I can tell you anything!"
        menu:
            "Does this mean we're friends?":
                c "Yes!!!  You're now my official cheerleader!"
                $ Friend2 += 1
                return
            "Me too!":
                c "I'll be your best friend, and you'll be my homie!"
                $ Friend2 += 1
                return
    if Friend2 == 10 and hat20c == False:
        c "Hey, I found this ugly leaf a few days ago.  I'm too pretty for it... so you can have it!"
        $ hat20c = True
        $ HatFeather = True
        "You obtained a Brown Feather!"
        c "Go put it on!  It might be special!"
        return
    else:
        c "You're going to be my bestest friend forever!"
        return
        
label DuskTalk:
    $ C_MeetB3 = True
    if Friend3 == 0:
        d "Hey, wazzup?"
        menu:
            "Why do you have fangs?":
                d "It's because I'm a wolf."
                $ Friend3 += 1
                return
            "You look scary.":
                d "Good.  All the better to keep annoying robots like you away."
                return
    if Friend3 == 1:
        d "HOOOOOWWWWLLLLL!"
        menu:
            "Wow, nice roar!":
                d "Thanks!  I was raised by a pack of wolves."
                $ Friend3 += 1
                return
            "*run away*":
                d "Ha!  You're weak minded and a coward."
                return
    if Friend3 == 2:
        d "I sleep in the forest every night and prey on small mammals."
        menu:
            "That's kinda creepy.  Not gonna lie.":
                d "But I can't help it!  It's my natural instinct."
                return
            "You know, I bet you and Zippy would get along well..." if Friend1 > 5:
                d "Why?  Does he like eating animals?"
                $ Friend3 += 1
                return
            "Umm...":
                d "That's ok.  Most people don't know how to react to that statement."
                $ Friend3 += 1
                return
    if Friend3 == 3:
        d "Why am I talking to you?"
        menu:
            "Because I'm super cute like Cuddles!  She gave me blush!" if Friend2 >= 5:
                d "Oh god..."
                return
            "It's because you want a friend.":
                d "Ha!  That's the last thing I care about.  I'm tough."
                return
            "...You have nothing better to do?":
                d "I guess..."
                $ Friend3 += 1
                return
    if Friend3 == 4:
            d "That reminds me... I only talk to strong people.  Don't talk to me unless your body points are at least 25."
            if body >= 25:
                "Hmm... you look strong enough that I can respect you."
                menu:
                    "Uhh... thanks.":
                        d "You're welcome, dude."
                        $ Friend3 += 1
                        return
                    "I'm not trying to impress you.":
                        d "Pfft."
                        $ Friend3 += 1
                        return
            else:
                d "Get away from me, weakling.  Raise your body points to at least 25."
                return
    if Friend3 == 5:
        d "Hey, so I can't remember much about my wolf family."
        menu:
            "Maybe you weren't really raised by wolves.":
                d "SHUTTUP.  I'M A REAL WOLF."
                return
            "Maybe you need something to help your memory?":
                d "Oh yeah!  I just remembered something!  Hold on..."
                $ Friend3 += 1
                return
    if Friend3 == 6:
        d "So, I found this whole pile of fake animal tails.  It reminds me of home!  My wolf mom must have bought it for me so I wouldn't be sad when I left the pack."
        menu:
            "I think you should give them to me...":
                d "Heck no!"
                return
            "Awww... why did you leave?":
                d "I think there was family troubles and fighting and such... I don't really remember."
                $ Friend3 += 1
                return
    if Friend3 == 7:
        d "Maybe you should take these off my hands... It might be good for me to let go of my past a little.  Besides, the're too big for me."
        menu:
            "Wow, thank you!  I'll take great care of them!":
                d "Ok!  Then it's decided.  Here you go!"
                "You obtained a set of Animal Tails!"
                $ Friend3 += 1
                $ BodyTail = True
                $ body8a = True
                $ body8b = True
                $ body8c = True
                $ body9 = True
                $ body10 = True
                return
            "GIVE ME THEM.":
                d "Hmm...I think I changed my mind."
                return
    if Friend3 == 8:
        d "Wanna wrestle?"
        menu:
            "Sure!":
                d "Awesome!  Welcome to the pack...  I mean... nevermind."
                $ Friend3 += 1
                return
            "No thanks... I'm not a fan of fighting for fun.":
                d "What?  You really need to stop resisting your natural instincts."
                return
    if Friend3 == 9:
        d "Hey, I really appreciate your company!  I don't feel like such a loner anymore!"
        menu:
            "Anytime, bro!":
                d "You're my first real friend!"
                $ Friend3 += 1
                return
            "Aww, you're welcome!":
                d "Don't you dare go all gushy on me!  We're just friends."
                $ Friend3 += 1
                return
    if Friend3 == 10 and hat20c == False:
        d "Since we're friends, here's a peace offering!  A strange feather.  Protect it."
        $ hat20c = True
        $ HatFeather = True
        "You obtained a Brown Feather!"
        d "Go try it on!"
        return
    else:
        d "Hey, dude, what's up?"
        return
        
label BoomerTalk:
    $ C_MeetB4 = True
    if Friend4 == 0:
        b "Hello!  The name's Boomer.  Nice to meet you!"
        menu:
            "Hi Boomer!  I like your name!":
                b "Thanks!"
                $ Friend4 += 1
                return
            "Oh hey.  You know, you seem pretty cool.":
                b "Uh... Thanks?"
                $ Friend4 += 1
                return
    if Friend4 == 1:
        b "So... have you met Cuddles?"
        menu:
            "Yes!  She seems nice.":
                b "Don't trust her."
                return
            "No...?":
                b "DON'T FALL FOR HER TRICKS!"
                $ Friend4 += 1
                return
    if Friend4 == 2:
        b "I really like rock music... hip hop is also pretty cool... techno too..."
        menu:
            "Can't make up your mind?":
                b "Nope!  I like pretty much everything!  ...except for country."
                $ Friend4 += 1
                return
            "I like country.":
                b "I don't think we can be friends."
                return
    if Friend4 == 3:
        b "One day, I hope to be in a band and go on tour and be famous."
        menu:
            "That's awesome!":
                b "Thanks!  There's nothing wrong with dreaming big."
                $ Friend4 += 1
                return
            "You and a million other people... keep dreaming.":
                b "Wow, you must be really depressed."
                return
    if Friend4 == 4:
        b "What's on your list of things to do today?"
        menu:
            "Oh, the usual.  I'm trying to impress the MegaBot so I can become the most powerful robot alive.":
                b "Nice!"
                $ Friend4 += 1
                return
            "I don't know.  I'm just chilling, growing some fruit and making smoothies.":
                b "Going with the flow is the best way to live life."
                $ Friend4 += 1
                return
    if Friend4 == 5:
        b "So, have any hobbies?"
        menu:
            "I'm really into artistic stuff like drawing and writing stories and making music.":
                b "Sweet, me too!  Here's a demo track of a techno piece I made last week."
                $ Friend4 += 1
                return
            "I like to play sports, dance, and have a good time!":
                b "Oh, cool... I'm a bit lazy."
                return
    if Friend4 == 6:
        b "Hey, I just realized, you don't have headphones!  Here, take my old ones!"
        "You obtained a pair of BabyBot HeadPhones"
        $ hat12a = True
        $ CHatHeadPhone = True
        menu:
            "Thanks!":
                b "No problem, dude."
                $ Friend4 += 1
                return
    if Friend4 == 7:
        b "Now that you could listen to my demo, what do you think?"
        menu:
            "It was pretty tight.":
                b "Wow, really?"
                $ Friend4 += 1
                return
            "I wasn't feeling it...":
                b "Well... thanks for at least being honest."
                $ Friend4 += 1
                return
    if Friend4 == 8:
        b "You know what?  I just realized you need a bigger size of headphones for when you grow up!  Here, take these."
        "You obtained 3 pairs of CutieBot HeadPhones!"
        $ CHatHeadPhone = True
        $ hat12b = True
        $ hat12c = True
        menu:
            "These are so cool!":
                b "I'm glad you like them!"
                $ Friend4 += 1
                return
            "I really can't accept these.":
                b "It's fine, dude.  Just think of it as a gift from a friend."
                $ Friend4 += 1
                return
    if Friend4 == 9:
        b "Hey, let's hang out some time!"
        menu:
            "I'd love to!  You're pretty cool.":
                b "Sweet, you're a good friend!"
                $ Friend4 += 1
                return
            "I might be busy... doing things... yeah...":
                b "Oh... maybe some other time then?"
                return
    if Friend4 == 10 and hat20c == False:
        b "I found this feather over by the forest... I already have a quill to write with, so you can have it!"
        $ hat20c = True
        $ HatFeather = True
        "You obtained a Brown Feather!"
        b "Go try it on!  I bet it'll look good on you."
        return
    else:
        b "You're a good friend!"
        return    
        
label School:
    scene School
    $ SchoolBot = renpy.random.choice(["Julliet", "Romeo", "Drake", "Miles"])
    show CBot at Position(xanchor =0.5, yanchor =0.5, xpos =510, ypos =315)
    $ show_name = True
    $ show_friends = True
label SchoolMap:
    $ result = renpy.imagemap("1.png", "2.png", [
            (274, 40, 492, 120, "Talk"),
            (554, 22, 770, 103, "Back"),
            ], overlays = True)
    
    if result == "Talk":
        if energy >= 1:
            $ energy -= 1
            if SchoolBot == "Julliet":
                call JullietTalk
            if SchoolBot == "Romeo":
                call RomeoTalk
            if SchoolBot == "Drake":
                call DrakeTalk
            if SchoolBot == "Miles":
                call MilesTalk
            jump SchoolMap
        if energy == 0:
            "You don't have enough energy!"
            jump SchoolMap
    if result == "Back":
        $ show_name = False
        $ show_friends = False
        $ SchoolBot == "None"
        jump Explore
        
label JullietTalk:
    $ C_MeetC1 = True
    if Friend5 == 0:
        J "Oh, hello!  You must be new here!"
        menu:
            "Yup!  Just started today.":
                J "Cool!  Let me show you around."
                $ Friend5 += 1
                return
            "Not quite... but this IS the first time I've seen you around here.":
                J "Oh... that's probably because I'm always busy, haha."
                $ Friend5 += 1
                return
    if Friend5 == 1:
        J "So, what's your favorite class around here?"
        menu:
            "Probably either math or science":
                J "Awesome!  Me too!"
                $ Friend5 += 1
                return
            "Hmm... I'd have to say either History or English":
                J "Yeah, they're pretty cool!"
                $ Friend5 += 1
                return
    if Friend5 == 2:
        J "By the way, my name is Julliet.  I don't think we've formally met."
        menu:
            "That's a pretty name!":
                J "Aww, thanks!"
                $ Friend5 += 1
                return
            "Ha...ha... So where's your Romeo?":
                J "SHHHH!"
                return
    if Friend5 == 3:
        J "See... Romeo is my brother... Thanks to Shakespere, everyone thinks we're dating!"
        menu:
            "Your parents named you Romeo and Julliet?":
                J "Stupid... I know, right?"
                $ Friend5 += 1
                return
            "I don't know, I kinda like that!":
                J "It's implying all the wrong stuff!"
                return
    if Friend5 == 4:
        J "So, I'm really into astrology and the planets."
        menu:
            "I'm so mad Pluto isn't a planet anymore.":
                J "I know, right?  It was such a cute planet!"
                $ Friend5 += 1
                return
            "Horoscopes are a bunch of lies.":
                J "I believe in them."
                return
    if Friend5 == 5:
        J "I want to go to college and become a scientist!"
        menu:
            "You have to be really smart to do research and stuff.":
                J "Are you calling me stupid?"
                return
            "Nice!  I bet that'd be really interesting and exciting!":
                J "I hope!"
                $ Friend5 += 1
                return
    if Friend5 == 6:
        J "Do you know what you want to be when you grow up?"
        menu:
            "I really haven't given it much thought...":
                J "You can be anything you want if you try hard enough!"
                $ Friend5 += 1
                return
            "Yup!  I have my whole life mapped out!":
                J "It's always great to have a plan!"
                $ Friend5 += 1
                return
    if Friend5 == 7:
        J "Hey, so I found these flowers.  Do you want them?"
        "You obtained 3 Flowers!"
        $ HatFlower = True
        $ hat4 = True
        $ hat5 = True
        $ hat6 = True
        menu:
            "Thanks!":
                J"You're very welcome!"
                $ Friend5 += 1
                return
    if Friend5 == 8:
        J "Do you want to chill at the mall later?"
        menu:
            "Yeah, totally!":
                J "Yay!"
                $ Friend5 += 1
                return
            "No thanks.  I don't like the mall.":
                J "Oh..."
                return
    if Friend5 == 9:
        J "Here, give me your phone number!"
        menu:
            "Of course!  You're my friend!":
                J "You're my best frined!"
                $ Friend5 += 1
            "No way!":
                J "Why?"
                return
        return
    else:
        J "I can't talk right now, sorry."
        return
    if Friend5 == 10 and hat20c == False:
        b "This feather reminds me of Shakespere, but I don't really care for it anymore.  Want it?"
        $ hat20c = True
        $ HatFeather = True
        "You obtained a Brown Feather!"
        b "Go put it on!  I bet it'll look good on you!"
        return 
        
label RomeoTalk:
    $ C_MeetC2 = True
    if Friend6 == 0:
        R "Hello there!  My name is Romeo!"
        menu:
            "Awesome, dude.":
                R "Haha, yeah..."
                $ Friend6 += 1
                return
            "Eww... is that a Shakespere reference?":
                R "Hey shuttup!   I love Shakespere..."
                return
    if Friend6 == 1:
        R "Speaking of which, I should mention that I have over 100 quotes and poems from Shakespere memorized."
        menu:
            "That's kinda weird.":
                R "Oh really?  I'll have you know it's a sure fire way to any girl's heart.  Just start telling poems and they fall over you."
                $ Friend6 += 1
                return
            "Wow, you're a dork.":
                R "Liking Shakespere does NOT make me a dork."
                return
    if Friend6 == 2:
        R "So, I'm pretty popular around here."
        menu:
            "Well aren't you special...":
                R "You're just jealous."
                return
            "That's pretty cool.":
                R "Yup!  I know almost everyone that goes here."
                $ Friend6 += 1
                return
    if Friend6 == 3:
        R "So, what kind of robots are your favorite?"
        menu:
            "There are different kinds of robots?":
                R "Yup!  For example, Miles is a trivia bot... in other words, has lots of spasms to ask questions and acts like a know it all."
                $ Friend6 += 1
                return
            "Uhh... shiny ones?":
                R "Oh...I take it you don't know much."
                return
    if Friend6 == 4:
        R "My favorite kind of robots are active bots."
        menu:
            "I take it they're used in sports?":
                R "Yup!  Not only sports, but they're also used in anything that requires movements...such as gardening."
                $ Friend6 += 1
                return
            "I don't like those kind of robots at all.":
                R "I guess we don't have much in common."
                return
    if Friend6 == 5:
        R "Speaking of gardening, here are some roses I found!"
        "You obtained 2 Roses!"
        $ HatFlower = True
        $ hat7 = True
        $ hat8 = True
        $ Friend6 += 1
        menu:
            "Umm... cool.  Thanks!":
                return
    if Friend6 == 6:
        R "Are you surprised I haven't quoted a Shakespere poem yet?"
        menu:
            "Actually yes.  Kinda.":
                R "To be... or not to be... that is the question..."
                $ Friend6 += 1
                return
            "Eh...":
                R "Yeah, I'm just not feeling it right now."
                $ Friend6 += 1
                return
    if Friend6 == 7:
        R "So do you think cheerleading is a sport?"
        menu:
            "Yup!  Just like Marching Band!":
                R "I love Marching Bands!"
                $ Friend6 += 1
                return
            "Not quite... they just cheer on the football team.":
                R "I'm not sure I agree with that... they do some hard stuff."
                return
    if Friend6 == 8:
        R "So, I'm meeting a few friends for paintball after school.  Do you want to tag along?"
        menu:
            "Heck yes!  That'll be fun!":
                R "Awesome!  Don't forget your mask!"
                $ Friend6 += 1
                return
            "No thanks... I'm busy.":
                R "Oh..."
                return
    if Friend6 == 9:
        R "Hey, can I call you my friend?"
        menu:
            "Duh!  You're awesome to hang out with.":
                R "Sweet, dude!"
                $ Friend6 += 1
                return
            "Pfft... yeah right.  Why would you think we're friends?":
                R "Oh... yeah, I guess it was a silly idea."
                return
    if Friend6 == 10 and hat20c == False:
        b "This feather reminds me of Shakespere, but I don't really care for it anymore.  Want it?"
        $ hat20c = True
        $ HatFeather = True
        "You obtained a Brown Feather!"
        b "Go put it on!  I bet it'll look good on you!"
        return 
    else:
        R "Sorry, I'm kinda busy right now."
        return
        
label DrakeTalk:
    $ C_MeetC3 = True
    if Friend7 == 0:
        D "...Stay away from me."
        menu:
            "Why do you look so sad?":
                D "I hate cheerful people like you..."
                return
            "Yeah.... life sucks....":
                D "You understand?"
                $ Friend7 += 1
                return
    if Friend7 == 1:
        D "I wear black because it reminds me of the darkness in the world."
        menu:
            "I know what you mean.  I like to wear bright colors because they make me look brighter!":
                D "They make my eyes hurt."
                return
            "That's deep.":
                D "...Thanks."
                $ Friend7 += 1
                return
    if Friend7 == 2 and reputation < 25:
        D "Hey, you need to prove your reputation to me.  I don't talk to anyone I can't trust.  Too many bullies in the world."
        D "Come talk to me only after your reputation points are at least 25."
        return
    if Friend7 == 2 and reputation >= 25:
        D "Hey, you seem pretty reputable.  I like you, kid."
        menu:
            "Thanks...?  I was never intending to impress you.":
                D "Well, think of it as a compliment anyways."
                $ Friend7 += 1
                return
            "That means a lot!":
               D "You're very welcome."
               $ Friend7 += 1
               return
    if Friend7 == 3:
        D "So who are you?  What's your purpose?"
        menu:
            "Umm... Well, I'm trying to impress the MegaBot so I can become the most powerful robot alive.":
                D "Hmm.  That's a valid reason.  Nice."
                $ Friend7 += 1
                return
            "I'm awesome.  That's all you need to know.":
                D "Oh..."
                return
    if Friend7 == 4:
        D "See, I'm just trying to heal my fragile heart... it was shattered."
        menu:
            "Oh, I see... that's why you seem so cold and untrusting!  It all makes sense now.":
                D "Shut up before I punch you in the face."
                return
            "Aww, what happened?":
                D "I don't like to talk about it."
                $ Friend7 += 1
                return
    if Friend7 == 5:
        D "At one time, I used to be a normal robot... and then I asked Julliet out, and she made me like this."
        menu:
            "I doubt Julliet did this to you.":
                D "Believe it."
                $ Friend7 += 1
                return
            "She seems so nice.  Don't you think you're exaggerating a little bit?":
                D "Nope.  Its all her fault."
                return
    if Friend7 == 6:
        D "Everyone picks on me too... it's also their fault I hate the world."
        menu:
            "I think you just need to chill and see the good in the world, not the bad.":
                D "How am I supposed to do that?"
                return
            "I'm sorry.":
                D "...It's not your fault."
                $ Friend7 += 1
                return
    if Friend7 == 7:
        D "Hey, I have an extra collar, want one?"
        "You obtained a collar!"
        $ body12 = True
        menu:
            "Thanks!":
                D "Don't mention it."
                $ Friend7 += 1
                return
    if Friend7 == 8:
        D "Hey, do you want to hang out some time?  I feel like I can trust you."
        menu:
            "Of course!":
                D "Really?"
                $ Friend7 += 1
                return
            "I'm not sure...":
                D "Oh...alright..."
                return
    if Friend7 == 9:
        D "So, are we friends?"
        menu:
            "Yup!  Everyone needs a friend!":
                D "Thank you so much for not giving up on me."
                $ Friend7 += 1
                return
            "Yeah, sure.":
                D "Thanks for the company.  It really means a lot."
                $ Friend7 += 1
                return
    else:
        D "Friend..."
        return
    if Friend7 == 10 and hat20c == False:
        b "This feather is so soft... I don't like it.  You can take it."
        $ hat20c = True
        $ HatFeather = True
        "You obtained a Brown Feather!"
        b "It's a dark color.  Try it on."
        return 

label MilesTalk:
    $ C_MeetC4 = True
    if Friend8 == 0:
        M "Salutations fellow classmate."
        menu:
            "Hello!":
                M "My name is Miles, pleased to meet your aquantance!"
                $ Friend8 += 1
                return
            "You look really smart.":
                M "Thanks!  Looks don't lie, haha."
                $ Friend8 += 1
                return
    if Friend8 == 1:
        M "So, I've been trying to solve this calculus problem..."
        menu:
            "OMG math is fun!  Especially calculus!  Let me help!":
                M "What!?!  You're my new best friend!"
                $ Friend8 += 1
                return
            "Don't look at me... I dont' know you...":
                M "Ha!  How stereotypical of you..."
                return
    if Friend8 == 2:
        M "I was programed as a trivia bot... sometimes I have random bursts of insane urges to ask questions.  Mostly math."
        menu:
            "Wow, that must suck.":
                M "Eh...  you get used to it."
                $ Friend8 += 1
                return
            "That's ok.  I don't mind answering a few questions every now and then.":
                M "Really?  Most people run when I tell them that."
                $ Friend8 += 1
                return
    if Friend8 == 3:
        M "Ah!  Here's an urge:  What is the derivitive of e^x?"
        menu:
            "Uh... e^x?":
                M "CORRECT!"
                $ Friend8 += 1
                return
            "The answer is obviously sin(4x) + the arctan(ln(x))... anyone with at least the slightest bit of calc knowledge should know that.":
                M "WRONG!  Stop acting like you're smart."
                return
    if Friend8 == 4:
        M "So, what's going on?'"
        menu:
            "Nothing much... just trying to impress the MegaBot so I can be the most powerful robot alive.":
                M "Awesome!  I wish I had that kind of motivation!"
                $ Friend8 += 1
                return
            "Honestly, I don't know...":
                M "Well get a grip on life.  I only talk to determined Bots."
                return
    if Friend8 == 5:
        M "Buzz...buzz... QUESTION!  Does the harmonic series converge or diverge?"
        menu:
            "Converge?":
                M "WRONG.  LOSER."
                return
            "Diverge?":
                M "Correct!  It is a divergent p-series."
                $ Friend8 += 1
                return
    if Friend8 == 6:
        M "Hey, I'm really sorry I keep making you answer all these questions..."
        menu:
            "I'll live...":
                M "No, really.  Here's a token of my sincerity."
                "You obtained Nerd Glasses"
                $ Friend8 += 1
                $ mask3 = True
                return
            "I'll just stop talking to you if I get bored.":
                M "...I can see we're not friends..."
                return
    if Friend8 == 7:
        M "You know, I just realized you might have answered those trivia questions by guessing.  I only look up to smart people."
        menu:
            "Wow, aren't you shallow.":
                M "I knew it!  Stay away from me, stupid."
                return
            "You have to be kidding me...":
                M "Nope!  Don't talk to me unless your brain points are at least 25."
                $ Friend8 += 1
                return
    if Friend8 == 8:
        if brain < 25:
            "What are you doing?  I can't be seen with you until you raise your brain points to at least 25!"
            return
        if brain >= 25:
            "Wow!  You really are smart!"
            menu:
                "You're really not worth impressing.":
                    M "Too late!  I'm already impressed."
                    $ Friend8 += 1
                    return
                "Thanks!":
                    M "Anytime!  Let's play chess sometime."
                    $ Friend8 += 1
                    return
    if Friend8 == 9:
        "Hey, I should probably let you know... You're my friend!"
        menu:
            "Umm... no you're not.":
                M "What!?  This isn't a question.  It's a statement."
                return
            "You're my friend too!":
                M "We're going to be a force to be reckoned with!"
                $ Friend8 += 1
                return
    else:
        M "Hey buddy!"
        return
    if Friend8 == 10 and hat20c == False:
        b "I have no use for this feather.  I insist you take it."
        $ hat20c = True
        $ HatFeather = True
        "You obtained a Brown Feather!"
        b "It might make you look smarter... go put it on!"
        return 
        
label Nickel:
    show Nickel
    $ result = renpy.imagemap("1.png", "2.png", [
            (274, 40, 492, 120, "Talk"),
            (554, 22, 770, 103, "Back"),
            ], overlays = True)
    if result == "Talk":
        if energy >= 1:
            if N == 0:
                n "Hello!  I am the Soul Bot... otherwise known as the creator of this game!"
                n "I really like that Brown feather you're wearing... it looks good on you!"
                n "Here."
                "You obtained a Purple Feather!"
                "You obtained a Green Feather!"
                "You obtained a Blue Feather!"
                "You obtained a Pink Feather!"
                n "There.  Now you have a whole collection!"
                $ hat20a = True
                $ hat20b = True
                $ hat20c = True
                $ hat20d = True
                $ hat20e = True
                $ N += 1
                jump Nickel
            if N == 1:
                n "Oh, with those feathers, you now have access to the 'Expert' Challenges!"
                n "The rewards for those challenges are wings!"
                $ N += 1
                jump Nickel
            if N == 2:
                n "By the way, I never caught your name!"
                $ name = renpy.input("What is your name?", "Type name here...", length=20)
                n "Oh, hello %(name)s!"
                $ N +=1
                jump Nickel
            if N == 3:
                n "So, did you know that disk at the store has all kinds of information?"
                n "I hear it has guides on things such as smoothies, the dress up items, and more!"
                $ N += 1
                jump Nickel
            if N == 4:
                n "I hear that the MegaBot only merges watts with robots that have well over 200 reputation, brain, and body points..."
                n "I wonder why he is so picky?"
                $ N += 1
                jump Nickel
            if N == 5:
                n "You know, I remember hearing something about prizes if you become the most powerful robot."
                n "I'm pretty sure the less generations it takes, the better the prize."
                $ N += 1
                jump Nickel
            if N == 6 and Surprise == False:
                "%(name)s, I have a surprise for you!"
                $ item = renpy.random.choice(["ChooseC", "ChooseS", "ChooseO", "ChooseRep", "ChooseBrain", "ChooseBody", "Choose5Watts"])
                if item == "ChooseC":
                    n "Here are 5 Cherries!"
                    n"Make sure you stop by again later for another surprise!"
                    $ Cherry += 5
                    $ Surprise = True
                    jump Nickel
                if item == "ChooseS":
                    n "Here are 5 Strawberries!"
                    n "Make sure you stop by again later for another surprise!"
                    $ Strawberry += 5
                    $ Surprise = True
                    jump Nickel
                if item == "ChooseO":
                    n "Here are 5 Oranges!"
                    n "Make sure you stop by again later for another surprise!"
                    $ Orange += 5
                    $ Surprise = True
                    jump Nickel
                if item == "ChooseRep":
                    n "Here are 5 Reputation Points!"
                    n "Make sure you stop by again later for another surprise!"
                    $ reputation += 5
                    $ Surprise = True
                    jump Nickel
                if item == "ChooseBrain":
                    n "Here are 5 Brain Points!"
                    n "Make sure you stop by again later for another surprise!"
                    $ brain += 5
                    $ Surprise = True
                    jump Nickel
                if item == "ChooseBody":
                    n "Here are 5 Body Points!"
                    n "Make sure you stop by again later for another surprise!"
                    $ body += 5
                    $ Surprise = True
                    jump Nickel
                if item == "Choose5Watts":
                    n "Here are 5 Watts!"
                    n "Make sure you stop by again later for another surprise!"
                    $ watts += 5
                    $ Surprise = True
                    jump Nickel
            if N == 6 and Surprise == True:
                n "I'm sorry... I don't have anything for you right now.  Please come back later."
                jump Nickel
        if energy == 0:
            "You don't have enough energy!"
            jump Nickel
    if result == "Back":
        jump Explore
        
label Disk:
    $ result = renpy.imagemap("Disk1.png", "Disk2.png", [
            (240, 25, 555, 100, "Back"),
            (60, 140, 738, 209, "Smoothie"),
            (60, 228, 738, 296, "DressUp"),
            (60, 314, 738, 382, "EasterEgg"),
            (60, 400, 738, 468, "Tips"),
            (60, 489, 738, 556, "Hints"),
            ], overlays = True)
    if result == "Back":
        jump Bag
    if result == "Smoothie":
        jump DiskSmoothie
    if result == "DressUp":
        $ result = renpy.imagemap("DiskDressUp1.png", "DiskDressUp2.png", [
            (240, 25, 555, 100, "Back"),
            ], overlays = True)
        if result == "Back":
            jump Disk
    if result == "EasterEgg":
        $ result = renpy.imagemap("DiskEaster1.png", "DiskEaster2.png", [
            (240, 25, 555, 100, "Back"),
            ], overlays = True)
        if result == "Back":
            jump Disk
    if result == "Tips":
        $ result = renpy.imagemap("DiskTips1.png", "DiskTips2.png", [
            (240, 25, 555, 100, "Back"),
            ], overlays = True)
        if result == "Back":
            jump Disk
    if result == "Hints":
        $ result = renpy.imagemap("DiskHint1.png", "DiskHint2.png", [
            (240, 25, 555, 100, "Back"),
            ], overlays = True)
        if result == "Back":
            jump Disk
        
label DiskSmoothie:
    $ result = renpy.imagemap("DiskSmoothie1.png", "DiskSmoothie2.png", [
            (240, 25, 555, 100, "Back"),
            (553, 293, 714, 419, "More"),
            ], overlays = True)
    if result == "Back":
            jump Disk
    if result == "More":
            $ result = renpy.imagemap("DiskSmoothie3.png", "DiskSmoothie4.png", [
            (240, 25, 555, 100, "Back"),
            (74, 294, 241, 414, "More"),
            ], overlays = True)
            if result == "Back":
                jump Disk
            if result == "More":
                jump DiskSmoothie
        
label DT:
    $ result = renpy.imagemap("DT.png", "DTHover.png", [
            (552, 21, 773, 105, "Back"),
            (25, 347, 170, 445, "Box"),
            (182, 272, 348, 445, "House"),
            (365, 97, 530, 445, "Tower"),
            (550, 214, 786, 445, "MegaBot"),
            ], overlays = True)
    if result == "Back":
        jump Explore
    if result == "Box":
            $ WattsOverlayX = 0.25
            $ WattsOverlayY = 0.17
            $ RepOverlayX = 0.25
            $ RepOverlayY = 0.22
            $ BrainOverlayX = 0.25
            $ BrainOverlayY = 0.27
            $ BodyOverlayX = 0.25
            $ BodyOverlayY = 0.32
            $ show_Robo = True
            $ show_reputation = True
            $ show_brain = True
            $ show_body = True
            $ show_watts = True
            $ Mates = renpy.random.choice(["Blue", "Green", "Gray", "Rose"])
            scene Room
            show Mate at Position(xanchor =0.5, yanchor =0.5, xpos =400, ypos =300)
            if watts < 10:
                $ Robowatts = renpy.random.choice([1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 20, 25])
                $ Roborep = renpy.random.choice([0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10])
                $ Robobrain = renpy.random.choice([0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10])
                $ Robobody = renpy.random.choice([0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10])
            if watts >= 10:
                $ Robowatts = renpy.random.choice([5, 10, 11, 12, 13, 14, 15,16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 35, 40])
                $ Roborep = renpy.random.choice([5, 10, 11, 12, 13, 14, 15,16, 17, 18, 19, 20])
                $ Robobrain = renpy.random.choice([5, 10, 11, 12, 13, 14, 15,16, 17, 18, 19, 20])
                $ Robobody = renpy.random.choice([5, 10, 11, 12, 13, 14, 15,16, 17, 18, 19, 20])
            "This robot has %(Robowatts)s Watts!"
            "Would you like to merge watts?"
            menu:
                "Yes" if reputation >= Roborep and brain >= Robobrain and body >= Robobody:
                    $ watts = (Robowatts + watts)/2
                    $ C_Mix = True
                    $ show_Robo = False
                    $ show_reputation = False
                    $ show_brain = False
                    $ show_body = False
                    $ show_watts = False
                    $ RepOverlayX = 0.76
                    $ RepOverlayY = 0.17
                    $ BrainOverlayX = 0.78
                    $ BrainOverlayY = 0.22
                    $ BodyOverlayX = 0.78
                    $ BodyOverlayY = 0.27
                    $ WattsOverlayX = 0.78
                    $ WattsOverlayY = 0.35
                    jump DT
                "No" if reputation >= Roborep and brain >= Robobrain and body >= Robobody:
                    $ show_Robo = False
                    $ show_reputation = False
                    $ show_brain = False
                    $ show_body = False
                    $ show_watts = False
                    $ RepOverlayX = 0.76
                    $ RepOverlayY = 0.17
                    $ BrainOverlayX = 0.78
                    $ BrainOverlayY = 0.22
                    $ BodyOverlayX = 0.78
                    $ BodyOverlayY = 0.27
                    $ WattsOverlayX = 0.78
                    $ WattsOverlayY = 0.35
                    jump DT
                "Nevermind...":
                    $ show_Robo = False
                    $ show_reputation = False
                    $ show_brain = False
                    $ show_body = False
                    $ show_watts = False
                    $ RepOverlayX = 0.76
                    $ RepOverlayY = 0.17
                    $ BrainOverlayX = 0.78
                    $ BrainOverlayY = 0.22
                    $ BodyOverlayX = 0.78
                    $ BodyOverlayY = 0.27
                    $ WattsOverlayX = 0.78
                    $ WattsOverlayY = 0.35
                    jump DT
    if result == "House":
        $ WattsOverlayX = 0.25
        $ WattsOverlayY = 0.17
        $ RepOverlayX = 0.25
        $ RepOverlayY = 0.22
        $ BrainOverlayX = 0.25
        $ BrainOverlayY = 0.27
        $ BodyOverlayX = 0.25
        $ BodyOverlayY = 0.32
        $ show_Robo = True
        $ show_reputation = True
        $ show_brain = True
        $ show_body = True
        $ show_watts = True
        $ Mates = renpy.random.choice(["Blue", "Green", "Gray", "Rose"])
        scene Room
        show Mate at Position(xanchor =0.5, yanchor =0.5, xpos =400, ypos =300)
        if watts < 25:
                $ Robowatts = renpy.random.choice([10, 15, 20, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50])
                $ Roborep = renpy.random.choice([10, 15, 20, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35])
                $ Robobrain = renpy.random.choice([10, 15, 20, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35])
                $ Robobody = renpy.random.choice([10, 15, 20, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35])
        elif watts >= 25:
                $ Robowatts = renpy.random.choice([20, 25, 30, 35, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70])
                $ Roborep = renpy.random.choice([20, 25, 30, 35, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50])
                $ Robobrain = renpy.random.choice([20, 25, 30, 35, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50])
                $ Robobody = renpy.random.choice([20, 25, 30, 35, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50])
        "This robot has %(Robowatts)s Watts!"
        "Would you like to merge watts?"
        menu:
                "Yes" if reputation >= Roborep and brain >= Robobrain and body >= Robobody:
                    $ watts = (Robowatts + watts)/2
                    $ C_Mix = True
                    $ show_watts = False
                    $ show_Robo = False
                    $ show_reputation = False
                    $ show_brain = False
                    $ show_body = False
                    $ RepOverlayX = 0.76
                    $ RepOverlayY = 0.17
                    $ BrainOverlayX = 0.78
                    $ BrainOverlayY = 0.22
                    $ BodyOverlayX = 0.78
                    $ BodyOverlayY = 0.27
                    $ WattsOverlayX = 0.78
                    $ WattsOverlayY = 0.35
                    jump DT
                "No" if reputation >= Roborep and brain >= Robobrain and body >= Robobody:
                    $ show_watts = False
                    $ show_Robo = False
                    $ show_reputation = False
                    $ show_brain = False
                    $ show_body = False
                    $ RepOverlayX = 0.76
                    $ RepOverlayY = 0.17
                    $ BrainOverlayX = 0.78
                    $ BrainOverlayY = 0.22
                    $ BodyOverlayX = 0.78
                    $ BodyOverlayY = 0.27
                    $ WattsOverlayX = 0.78
                    $ WattsOverlayY = 0.35
                    jump DT
                "Nevermind...":
                    $ show_watts = False
                    $ show_Robo = False
                    $ show_reputation = False
                    $ show_brain = False
                    $ show_body = False
                    $ RepOverlayX = 0.76
                    $ RepOverlayY = 0.17
                    $ BrainOverlayX = 0.78
                    $ BrainOverlayY = 0.22
                    $ BodyOverlayX = 0.78
                    $ BodyOverlayY = 0.27
                    $ WattsOverlayX = 0.78
                    $ WattsOverlayY = 0.35
                    jump DT
    if result == "Tower":
        $ WattsOverlayX = 0.25
        $ WattsOverlayY = 0.17
        $ RepOverlayX = 0.25
        $ RepOverlayY = 0.22
        $ BrainOverlayX = 0.25
        $ BrainOverlayY = 0.27
        $ BodyOverlayX = 0.25
        $ BodyOverlayY = 0.32
        $ show_watts = True
        $ show_Robo = True
        $ show_reputation = True
        $ show_brain = True
        $ show_body = True
        $ Mates = renpy.random.choice(["Blue", "Green", "Gray", "Rose"])
        scene Room
        show Mate at Position(xanchor =0.5, yanchor =0.5, xpos =400, ypos =300)
        if watts < 60:
                $ Robowatts = renpy.random.choice([30, 35, 40, 45, 50, 55, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71 ,72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 86, 87, 88, 89, 90])
                $ Roborep = renpy.random.choice([30, 35, 40, 45, 50, 55, 60, 61, 62, 63, 64, 65, 70])
                $ Robobrain = renpy.random.choice([30, 35, 40, 45, 50, 55, 60, 61, 62, 63, 64, 65, 70])
                $ Robobody = renpy.random.choice([30, 35, 40, 45, 50, 55, 60, 61, 62, 63, 64, 65, 70])
        elif watts >= 60 and watts < 100:
                $ Robowatts = renpy.random.choice([50, 55, 60, 65, 70, 75, 80, 81, 82, 83, 84, 85, 86, 87, 88, 89, 90, 91, 92, 93, 94, 95, 96, 97, 98, 99, 100, 101, 102, 103, 104, 105, 106, 107, 108, 109, 110, 115, 120, 125, 130])
                $ Roborep = renpy.random.choice([50, 55, 60, 65, 70, 75, 80, 81, 82, 83, 84, 85])
                $ Robobrain = renpy.random.choice([50, 55, 60, 65, 70, 75, 80, 81, 82, 83, 84, 85])
                $ Robobody = renpy.random.choice([50, 55, 60, 65, 70, 75, 80, 81, 82, 83, 84, 85])
        elif watts >= 100:
                $ Robowatts = renpy.random.choice([50, 60, 70, 75, 80, 85, 90, 95, 100, 101, 102, 103, 104, 105, 106, 107, 108, 109, 110, 111, 112, 113, 114, 115, 116, 117, 118, 119, 120, 125, 130, 135, 140, 145, 150, 155, 160, 165, 170, 175, 180, 185, 190, 195, 200])
                $ Roborep = renpy.random.choice([50, 60, 70, 75, 80, 85, 90, 95, 100, 101, 102, 103, 104, 105, 106, 107, 108, 109, 110])
                $ Robobrain = renpy.random.choice([50, 60, 70, 75, 80, 85, 90, 95, 100, 101, 102, 103, 104, 105, 106, 107, 108, 109, 110])
                $ Robobody = renpy.random.choice([50, 60, 70, 75, 80, 85, 90, 95, 100, 101, 102, 103, 104, 105, 106, 107, 108, 109, 110])
        "This robot has %(Robowatts)s Watts!"
        "Would you like to merge watts?"
        menu:
                "Yes" if reputation >= Roborep and brain >= Robobrain and body >= Robobody:
                    $ watts = (Robowatts + watts)/2
                    $ C_Mix = True
                    $ show_Robo = False
                    $ show_reputation = False
                    $ show_brain = False
                    $ show_body = False
                    $ show_watts = False
                    $ RepOverlayX = 0.76
                    $ RepOverlayY = 0.17
                    $ BrainOverlayX = 0.78
                    $ BrainOverlayY = 0.22
                    $ BodyOverlayX = 0.78
                    $ BodyOverlayY = 0.27
                    $ WattsOverlayX = 0.78
                    $ WattsOverlayY = 0.35
                    jump DT
                "No" if reputation >= Roborep and brain >= Robobrain and body >= Robobody:
                    $ show_Robo = False
                    $ show_reputation = False
                    $ show_brain = False
                    $ show_body = False
                    $ show_watts = False
                    $ RepOverlayX = 0.76
                    $ RepOverlayY = 0.17
                    $ BrainOverlayX = 0.78
                    $ BrainOverlayY = 0.22
                    $ BodyOverlayX = 0.78
                    $ BodyOverlayY = 0.27
                    $ WattsOverlayX = 0.78
                    $ WattsOverlayY = 0.35
                    jump DT
                "Nevermind...":
                    $ show_Robo = False
                    $ show_reputation = False
                    $ show_brain = False
                    $ show_body = False
                    $ show_watts = False
                    $ RepOverlayX = 0.76
                    $ RepOverlayY = 0.17
                    $ BrainOverlayX = 0.78
                    $ BrainOverlayY = 0.22
                    $ BodyOverlayX = 0.78
                    $ BodyOverlayY = 0.27
                    $ WattsOverlayX = 0.78
                    $ WattsOverlayY = 0.35
                    jump DT
    if result == "MegaBot":
        jump End
        
label End:
    scene MegaBotRoom
    $ result = renpy.imagemap("MegaBot1.png", "MegaBot2.png", [
            (552, 21, 773, 105, "Back"),
            (597, 517, 750, 573, "Yes"),
            ], overlays = True)
    if result == "Back":
        jump DT
    if result == "Yes":
        if reputation >= 150 and brain >= 150 and body >= 150:
            play music ["MusicBoxTheme.mp3"]
            $ watts = 10000
            show End1
            with dissolve
            with Pause(2)
            show End2
            with dissolve
            with Pause(1)
            show End3
            with dissolve
            with Pause(2)
            show End4
            with dissolve
            with Pause(2)
            show End5
            with dissolve
            with Pause(2)
            show End6
            with dissolve
            with Pause(2)
            show End7
            with dissolve
            with Pause(1)
            show End8
            with dissolve
            with Pause(3)
            show black
            with dissolve
            show text "And so, after a long quest, you built the most powerful robot alive."  
            with dissolve
            with Pause(4)
            hide text with fade
            show End9
            with dissolve
            with Pause(5)
            "Click to continue"
            if generation <= 25:
                $ persistent.st = True
                $ persistent.nd = True
                $ persistent.rd = True
            if generation > 25 and generation <= 50:
                $ persistent.nd = True
                $ persistent.rd = True
            if generation > 50:
                $ persistent.rd = True
            stop music
            play music ["IndustrialMusicBox.mp3", "GoneBeyond.mp3"]
            jump End
        else:
            "Sorry... MegaBot rejected you.  You lost some power."
            $ watts -= 10
            if watts < 0:
                $ watts = 5
            jump End
            
label instructions:
    show PG1
    "When you hit the recharge button, your Bot will grow to the next stage."
    "If you have a MiniBot, pressing recharge will take you back to the BabyBot Creator to choose the next generation."
    show PG2
    "Watts can only be merged as adult MiniBots."
    "When merged, the watts are averaged and put into a new battery, which is then installed in your current MiniBot."
    show PG3
    "Your orchard allows you to plant up to 4 trees at the same time."
    "Every time you hit recharge, it will grow a little.  Once fully grown, you may harvest them."
    show PG4
    "Using the fruit you gather, you can make smoothies to raise your Bot's reputation, brain, and body points."
    "There are 10 special smoothies, where only a certain combination will trigger it.  Otherwise, it becomes a herb smoothie.  Order matters."
    show PG5
    "Your goal is to raise your stats to impress the MegaBot and become the most powerful robot alive!"
    $ renpy.full_restart()
